Budget Allocation¶
Budget Allocation - Get Budget Allocation¶
HTTP Request
GET /api/budget-allocations/{id}
📋 Description: Retrieves detailed budget allocation information for a specific asset within the Nakisa Portfolio Management Suite, facilitating enhanced portfolio analytics and real estate property management.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Unique identifier for the resource |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "createdBy": "string",
3 "lastModifiedBy": "string",
4 "createdDate": "2019-08-24T14:15:22Z",
5 "lastModifiedDate": "2019-08-24T14:15:22Z",
6 "archived": true,
7 "externalId": "string",
8 "id": 0,
9 "allocatedAmount": 0,
10 "projectId": 0,
11 "projectName": "string",
12 "projectDisplayId": "string",
13 "budgetId": 0,
14 "budgetDto": {
15 "createdBy": "string",
16 "lastModifiedBy": "string",
17 "createdDate": "2019-08-24T14:15:22Z",
18 "lastModifiedDate": "2019-08-24T14:15:22Z",
19 "archived": true,
20 "externalId": "string",
21 "id": 0,
22 "name": "string",
23 "startDate": "2019-08-24",
24 "dueDate": "2019-08-24",
25 "departmentId": 0,
26 "statusId": 0,
27 "totalBudgetAmount": 0,
28 "allocatedBudgetAmount": 0,
29 "owner": "string",
30 "status": {
31 "createdBy": "string",
32 "lastModifiedBy": "string",
33 "createdDate": "2019-08-24T14:15:22Z",
34 "lastModifiedDate": "2019-08-24T14:15:22Z",
35 "archived": true,
36 "externalId": "string",
37 "id": 0,
38 "priority": 0,
39 "internalId": 0,
40 "pickListCode": "string",
41 "pickListLabel": "string",
42 "label": "string",
43 "cultureId": 0,
44 "labelDtos": [
45 {
46 "createdBy": "string",
47 "lastModifiedBy": "string",
48 "createdDate": "2019-08-24T14:15:22Z",
49 "lastModifiedDate": "2019-08-24T14:15:22Z",
50 "archived": true,
51 "externalId": "string",
52 "id": 0,
53 "cultureId": 0,
54 "value": "string"
55 }
56 ]
57 },
58 "department": {
59 "createdBy": "string",
60 "lastModifiedBy": "string",
61 "createdDate": "2019-08-24T14:15:22Z",
62 "lastModifiedDate": "2019-08-24T14:15:22Z",
63 "archived": true,
64 "externalId": "string",
65 "id": 0,
66 "priority": 0,
67 "internalId": 0,
68 "pickListCode": "string",
69 "pickListLabel": "string",
70 "label": "string",
71 "cultureId": 0,
72 "labelDtos": [
73 {
74 "createdBy": "string",
75 "lastModifiedBy": "string",
76 "createdDate": "2019-08-24T14:15:22Z",
77 "lastModifiedDate": "2019-08-24T14:15:22Z",
78 "archived": true,
79 "externalId": "string",
80 "id": 0,
81 "cultureId": 0,
82 "value": "string"
83 }
84 ]
85 },
86 "nimBudgetLinkDtos": [
87 {
88 "createdBy": "string",
89 "lastModifiedBy": "string",
90 "createdDate": "2019-08-24T14:15:22Z",
91 "lastModifiedDate": "2019-08-24T14:15:22Z",
92 "archived": true,
93 "externalId": "string",
94 "id": 0,
95 "nimBudgetId": 0,
96 "nimInvestmentAreaId": 0,
97 "nimBudgetDto": {},
98 "nimBudgetInvestmentAreaDto": {
99 "id": 0,
100 "createdOn": "2019-08-24T14:15:22Z",
101 "createdById": "string",
102 "modifiedOn": "2019-08-24T14:15:22Z",
103 "modifiedById": "string",
104 "createdByName": "string",
105 "lastModifiedByName": "string",
106 "amount": 0,
107 "originalCurrencyId": 0,
108 "originalCurrencyDisplayId": "string",
109 "originalAmount": 0,
110 "rate": 0,
111 "rateDate": "2019-08-24",
112 "investmentAreaId": 0,
113 "investmentArea": {
114 "id": 0,
115 "createdOn": "2019-08-24T14:15:22Z",
116 "createdById": "string",
117 "modifiedOn": "2019-08-24T14:15:22Z",
118 "modifiedById": "string",
119 "createdByName": "string",
120 "lastModifiedByName": "string",
121 "displayId": "string",
122 "name": "string",
123 "assetClasses": [
124 0
125 ]
126 },
127 "budgetYearDistributions": [
128 {
129 "id": 0,
130 "createdOn": "2019-08-24T14:15:22Z",
131 "createdById": "string",
132 "modifiedOn": "2019-08-24T14:15:22Z",
133 "modifiedById": "string",
134 "createdByName": "string",
135 "lastModifiedByName": "string",
136 "year": 0,
137 "amount": 0,
138 "originalCurrencyId": 0,
139 "originalCurrencyDisplayId": "string",
140 "originalAmount": 0,
141 "rate": 0,
142 "rateDate": "2019-08-24",
143 "spent": 0,
144 "budgetInvestmentAreaId": 0
145 }
146 ],
147 "investmentRequest": {
148 "id": 0,
149 "createdOn": "2019-08-24T14:15:22Z",
150 "createdById": "string",
151 "modifiedOn": "2019-08-24T14:15:22Z",
152 "modifiedById": "string",
153 "createdByName": "string",
154 "lastModifiedByName": "string",
155 "requestedAmount": 0,
156 "companyCurrency": "string",
157 "investmentAreaIds": [
158 0
159 ],
160 "requestCategoryId": 0,
161 "displayId": "string",
162 "leaseAreaId": 0,
163 "leaseAreaDisplayId": "string",
164 "leaseAreaName": "string",
165 "businessUnitId": 0,
166 "businessUnitDisplayId": "string",
167 "companyId": 0,
168 "companyDisplayId": "string",
169 "departmentId": 0,
170 "departmentDisplayId": "string",
171 "title": "string",
172 "investmentCurrencyId": 0,
173 "investmentCurrencyDisplayId": "string",
174 "companyCurrencyId": 0,
175 "companyCurrencyDisplayId": "string",
176 "reportingCurrencyId": 0,
177 "reportingCurrencyDisplayId": "string",
178 "masterInvestmentRequestId": 0,
179 "inceptionExchangeRate": 0,
180 "exchangeRateValidFrom": "2019-08-24",
181 "weightedAverageExchangeRate": 0,
182 "status": "DRAFT",
183 "workflowStepName": "string",
184 "description": "string",
185 "justification": "string",
186 "totalRequestedAmount": 0,
187 "totalExpense": 0,
188 "totalSpent": 0,
189 "originalRequestedAmount": 0,
190 "modifiedAmount": 0,
191 "currentAvailable": 0,
192 "modificationId": 0,
193 "requestCategory": {
194 "id": 0,
195 "createdOn": "2019-08-24T14:15:22Z",
196 "createdById": "string",
197 "modifiedOn": "2019-08-24T14:15:22Z",
198 "modifiedById": "string",
199 "createdByName": "string",
200 "lastModifiedByName": "string",
201 "displayId": "string",
202 "title": "string",
203 "subTitle": "string",
204 "icon": "string",
205 "budgetTitle": "string",
206 "budgetSubTitle": "string",
207 "investmentTitle": "string",
208 "investmentSubTitle": "string"
209 },
210 "expectedInitiationDate": "2019-08-24",
211 "expectedCompletionDate": "2019-08-24",
212 "actualInitiationDate": "2019-08-24",
213 "actualCompletionDate": "2019-08-24",
214 "requestUrgency": "string",
215 "leaseArea": {
216 "id": 0,
217 "status": "CREATED",
218 "displayId": "string",
219 "name": "string",
220 "businessUnitId": 0
221 },
222 "businessUnit": {
223 "id": 0,
224 "status": "CREATED",
225 "displayId": "string",
226 "name": "string",
227 "leaseAreaId": 0,
228 "companyId": 0
229 },
230 "company": {
231 "id": 0,
232 "status": "CREATED",
233 "displayId": "string",
234 "erpSystemId": 0,
235 "erpSystemDisplayId": "string",
236 "countryId": 0,
237 "countryDisplayId": "string",
238 "postingPeriodVariantId": 0,
239 "name": "string",
240 "postingPeriodVariantDisplayId": "string",
241 "controllingAreaId": 0,
242 "controllingAreaDisplayId": "string",
243 "chartOfAccountId": 0,
244 "chartOfAccountDisplayId": "string",
245 "fiscalVariantId": 0,
246 "fiscalVariantDisplayId": "string",
247 "chartOfDepreciationId": 0,
248 "chartOfDepreciationDisplayId": "string",
249 "purchasingOrganizationId": 0,
250 "assetId": 0,
251 "exchangeRateTypeId": 0,
252 "plantId": 0,
253 "incrementalBorrowingRateId": 0,
254 "businessUnitId": 0,
255 "projectId": 0,
256 "transferVariantId": 0,
257 "partnerId": 0,
258 "departmentId": 0,
259 "accountingStandardId": 0,
260 "generalLedgerAccountId": 0,
261 "consumerPriceIndexCategoryId": 0,
262 "costCenterId": 0,
263 "costCenterRelationValidFrom": "2019-08-24",
264 "costCenterRelationValidTo": "2019-08-24"
265 },
266 "department": {
267 "id": 0,
268 "status": "CREATED",
269 "displayId": "string",
270 "name": "string",
271 "companyId": 0,
272 "leaseGroupId": 0
273 },
274 "linkedBudgets": [
275 {
276 "id": 0,
277 "createdOn": "2019-08-24T14:15:22Z",
278 "createdById": "string",
279 "modifiedOn": "2019-08-24T14:15:22Z",
280 "modifiedById": "string",
281 "createdByName": "string",
282 "lastModifiedByName": "string",
283 "requestCategoryId": 0,
284 "year": 0,
285 "displayId": "string",
286 "project": "string",
287 "requestCategory": {
288 "id": 0,
289 "createdOn": "2019-08-24T14:15:22Z",
290 "createdById": "string",
291 "modifiedOn": "2019-08-24T14:15:22Z",
292 "modifiedById": "string",
293 "createdByName": "string",
294 "lastModifiedByName": "string",
295 "displayId": "string",
296 "title": "string",
297 "subTitle": "string",
298 "icon": "string",
299 "budgetTitle": "string",
300 "budgetSubTitle": "string",
301 "investmentTitle": "string",
302 "investmentSubTitle": "string"
303 }
304 }
305 ],
306 "investmentRequestToInvestmentAreaIdsLinkedToBudget": [
307 0
308 ]
309 },
310 "investmentRequests": [
311 {
312 "id": 0,
313 "createdOn": "2019-08-24T14:15:22Z",
314 "createdById": "string",
315 "modifiedOn": "2019-08-24T14:15:22Z",
316 "modifiedById": "string",
317 "createdByName": "string",
318 "lastModifiedByName": "string",
319 "requestedAmount": 0,
320 "companyCurrency": "string",
321 "investmentAreaIds": [
322 0
323 ],
324 "requestCategoryId": 0,
325 "displayId": "string",
326 "leaseAreaId": 0,
327 "leaseAreaDisplayId": "string",
328 "leaseAreaName": "string",
329 "businessUnitId": 0,
330 "businessUnitDisplayId": "string",
331 "companyId": 0,
332 "companyDisplayId": "string",
333 "departmentId": 0,
334 "departmentDisplayId": "string",
335 "title": "string",
336 "investmentCurrencyId": 0,
337 "investmentCurrencyDisplayId": "string",
338 "companyCurrencyId": 0,
339 "companyCurrencyDisplayId": "string",
340 "reportingCurrencyId": 0,
341 "reportingCurrencyDisplayId": "string",
342 "masterInvestmentRequestId": 0,
343 "inceptionExchangeRate": 0,
344 "exchangeRateValidFrom": "2019-08-24",
345 "weightedAverageExchangeRate": 0,
346 "status": "DRAFT",
347 "workflowStepName": "string",
348 "description": "string",
349 "justification": "string",
350 "totalRequestedAmount": 0,
351 "totalExpense": 0,
352 "totalSpent": 0,
353 "originalRequestedAmount": 0,
354 "modifiedAmount": 0,
355 "currentAvailable": 0,
356 "modificationId": 0,
357 "requestCategory": {
358 "id": 0,
359 "createdOn": "2019-08-24T14:15:22Z",
360 "createdById": "string",
361 "modifiedOn": "2019-08-24T14:15:22Z",
362 "modifiedById": "string",
363 "createdByName": "string",
364 "lastModifiedByName": "string",
365 "displayId": "string",
366 "title": "string",
367 "subTitle": "string",
368 "icon": "string",
369 "budgetTitle": "string",
370 "budgetSubTitle": "string",
371 "investmentTitle": "string",
372 "investmentSubTitle": "string"
373 },
374 "expectedInitiationDate": "2019-08-24",
375 "expectedCompletionDate": "2019-08-24",
376 "actualInitiationDate": "2019-08-24",
377 "actualCompletionDate": "2019-08-24",
378 "requestUrgency": "string",
379 "leaseArea": {
380 "id": 0,
381 "status": "CREATED",
382 "displayId": "string",
383 "name": "string",
384 "businessUnitId": 0
385 },
386 "businessUnit": {
387 "id": 0,
388 "status": "CREATED",
389 "displayId": "string",
390 "name": "string",
391 "leaseAreaId": 0,
392 "companyId": 0
393 },
394 "company": {
395 "id": 0,
396 "status": "CREATED",
397 "displayId": "string",
398 "erpSystemId": 0,
399 "erpSystemDisplayId": "string",
400 "countryId": 0,
401 "countryDisplayId": "string",
402 "postingPeriodVariantId": 0,
403 "name": "string",
404 "postingPeriodVariantDisplayId": "string",
405 "controllingAreaId": 0,
406 "controllingAreaDisplayId": "string",
407 "chartOfAccountId": 0,
408 "chartOfAccountDisplayId": "string",
409 "fiscalVariantId": 0,
410 "fiscalVariantDisplayId": "string",
411 "chartOfDepreciationId": 0,
412 "chartOfDepreciationDisplayId": "string",
413 "purchasingOrganizationId": 0,
414 "assetId": 0,
415 "exchangeRateTypeId": 0,
416 "plantId": 0,
417 "incrementalBorrowingRateId": 0,
418 "businessUnitId": 0,
419 "projectId": 0,
420 "transferVariantId": 0,
421 "partnerId": 0,
422 "departmentId": 0,
423 "accountingStandardId": 0,
424 "generalLedgerAccountId": 0,
425 "consumerPriceIndexCategoryId": 0,
426 "costCenterId": 0,
427 "costCenterRelationValidFrom": "2019-08-24",
428 "costCenterRelationValidTo": "2019-08-24"
429 },
430 "department": {
431 "id": 0,
432 "status": "CREATED",
433 "displayId": "string",
434 "name": "string",
435 "companyId": 0,
436 "leaseGroupId": 0
437 },
438 "linkedBudgets": [
439 {
440 "id": 0,
441 "createdOn": "2019-08-24T14:15:22Z",
442 "createdById": "string",
443 "modifiedOn": "2019-08-24T14:15:22Z",
444 "modifiedById": "string",
445 "createdByName": "string",
446 "lastModifiedByName": "string",
447 "requestCategoryId": 0,
448 "year": 0,
449 "displayId": "string",
450 "project": "string",
451 "requestCategory": {
452 "id": 0,
453 "createdOn": "2019-08-24T14:15:22Z",
454 "createdById": "string",
455 "modifiedOn": "2019-08-24T14:15:22Z",
456 "modifiedById": "string",
457 "createdByName": "string",
458 "lastModifiedByName": "string",
459 "displayId": "string",
460 "title": "string",
461 "subTitle": "string",
462 "icon": "string",
463 "budgetTitle": "string",
464 "budgetSubTitle": "string",
465 "investmentTitle": "string",
466 "investmentSubTitle": "string"
467 }
468 }
469 ],
470 "investmentRequestToInvestmentAreaIdsLinkedToBudget": [
471 0
472 ]
473 }
474 ],
475 "totalSpent": 0,
476 "totalReserved": 0,
477 "budgetBalance": 0
478 },
479 "nimInvestmentAreaDto": {
480 "id": 0,
481 "createdOn": "2019-08-24T14:15:22Z",
482 "createdById": "string",
483 "modifiedOn": "2019-08-24T14:15:22Z",
484 "modifiedById": "string",
485 "createdByName": "string",
486 "lastModifiedByName": "string",
487 "displayId": "string",
488 "name": "string",
489 "assetClasses": [
490 0
491 ]
492 }
493 }
494 ]
495 }
496}
Budget Allocation - Update Budget Allocation¶
HTTP Request
PUT /api/budget-allocations/{id}
📋 Description: Updates the budget allocation details for a specified portfolio asset within the Nakisa Portfolio Management Suite, enabling enhanced financial analytics and strategic resource management.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Unique identifier for the resource |
body |
body |
true |
Request body containing updated budget allocation details, including allocation amounts and relevant metadata for effective portfolio and asset management within the Nakisa Portfolio Management Suite. |
Body Parameters
1{
2 "createdBy": "string",
3 "lastModifiedBy": "string",
4 "createdDate": "2019-08-24T14:15:22Z",
5 "lastModifiedDate": "2019-08-24T14:15:22Z",
6 "archived": true,
7 "externalId": "string",
8 "id": 0,
9 "allocatedAmount": 0,
10 "projectId": 0,
11 "projectName": "string",
12 "projectDisplayId": "string",
13 "budgetId": 0,
14 "budgetDto": {
15 "createdBy": "string",
16 "lastModifiedBy": "string",
17 "createdDate": "2019-08-24T14:15:22Z",
18 "lastModifiedDate": "2019-08-24T14:15:22Z",
19 "archived": true,
20 "externalId": "string",
21 "id": 0,
22 "name": "string",
23 "startDate": "2019-08-24",
24 "dueDate": "2019-08-24",
25 "departmentId": 0,
26 "statusId": 0,
27 "totalBudgetAmount": 0,
28 "allocatedBudgetAmount": 0,
29 "owner": "string",
30 "status": {
31 "createdBy": "string",
32 "lastModifiedBy": "string",
33 "createdDate": "2019-08-24T14:15:22Z",
34 "lastModifiedDate": "2019-08-24T14:15:22Z",
35 "archived": true,
36 "externalId": "string",
37 "id": 0,
38 "priority": 0,
39 "internalId": 0,
40 "pickListCode": "string",
41 "pickListLabel": "string",
42 "label": "string",
43 "cultureId": 0,
44 "labelDtos": [
45 {
46 "createdBy": "string",
47 "lastModifiedBy": "string",
48 "createdDate": "2019-08-24T14:15:22Z",
49 "lastModifiedDate": "2019-08-24T14:15:22Z",
50 "archived": true,
51 "externalId": "string",
52 "id": 0,
53 "cultureId": 0,
54 "value": "string"
55 }
56 ]
57 },
58 "department": {
59 "createdBy": "string",
60 "lastModifiedBy": "string",
61 "createdDate": "2019-08-24T14:15:22Z",
62 "lastModifiedDate": "2019-08-24T14:15:22Z",
63 "archived": true,
64 "externalId": "string",
65 "id": 0,
66 "priority": 0,
67 "internalId": 0,
68 "pickListCode": "string",
69 "pickListLabel": "string",
70 "label": "string",
71 "cultureId": 0,
72 "labelDtos": [
73 {
74 "createdBy": "string",
75 "lastModifiedBy": "string",
76 "createdDate": "2019-08-24T14:15:22Z",
77 "lastModifiedDate": "2019-08-24T14:15:22Z",
78 "archived": true,
79 "externalId": "string",
80 "id": 0,
81 "cultureId": 0,
82 "value": "string"
83 }
84 ]
85 },
86 "nimBudgetLinkDtos": [
87 {
88 "createdBy": "string",
89 "lastModifiedBy": "string",
90 "createdDate": "2019-08-24T14:15:22Z",
91 "lastModifiedDate": "2019-08-24T14:15:22Z",
92 "archived": true,
93 "externalId": "string",
94 "id": 0,
95 "nimBudgetId": 0,
96 "nimInvestmentAreaId": 0,
97 "nimBudgetDto": {},
98 "nimBudgetInvestmentAreaDto": {
99 "id": 0,
100 "createdOn": "2019-08-24T14:15:22Z",
101 "createdById": "string",
102 "modifiedOn": "2019-08-24T14:15:22Z",
103 "modifiedById": "string",
104 "createdByName": "string",
105 "lastModifiedByName": "string",
106 "amount": 0,
107 "originalCurrencyId": 0,
108 "originalCurrencyDisplayId": "string",
109 "originalAmount": 0,
110 "rate": 0,
111 "rateDate": "2019-08-24",
112 "investmentAreaId": 0,
113 "investmentArea": {
114 "id": 0,
115 "createdOn": "2019-08-24T14:15:22Z",
116 "createdById": "string",
117 "modifiedOn": "2019-08-24T14:15:22Z",
118 "modifiedById": "string",
119 "createdByName": "string",
120 "lastModifiedByName": "string",
121 "displayId": "string",
122 "name": "string",
123 "assetClasses": [
124 0
125 ]
126 },
127 "budgetYearDistributions": [
128 {
129 "id": 0,
130 "createdOn": "2019-08-24T14:15:22Z",
131 "createdById": "string",
132 "modifiedOn": "2019-08-24T14:15:22Z",
133 "modifiedById": "string",
134 "createdByName": "string",
135 "lastModifiedByName": "string",
136 "year": 0,
137 "amount": 0,
138 "originalCurrencyId": 0,
139 "originalCurrencyDisplayId": "string",
140 "originalAmount": 0,
141 "rate": 0,
142 "rateDate": "2019-08-24",
143 "spent": 0,
144 "budgetInvestmentAreaId": 0
145 }
146 ],
147 "investmentRequest": {
148 "id": 0,
149 "createdOn": "2019-08-24T14:15:22Z",
150 "createdById": "string",
151 "modifiedOn": "2019-08-24T14:15:22Z",
152 "modifiedById": "string",
153 "createdByName": "string",
154 "lastModifiedByName": "string",
155 "requestedAmount": 0,
156 "companyCurrency": "string",
157 "investmentAreaIds": [
158 0
159 ],
160 "requestCategoryId": 0,
161 "displayId": "string",
162 "leaseAreaId": 0,
163 "leaseAreaDisplayId": "string",
164 "leaseAreaName": "string",
165 "businessUnitId": 0,
166 "businessUnitDisplayId": "string",
167 "companyId": 0,
168 "companyDisplayId": "string",
169 "departmentId": 0,
170 "departmentDisplayId": "string",
171 "title": "string",
172 "investmentCurrencyId": 0,
173 "investmentCurrencyDisplayId": "string",
174 "companyCurrencyId": 0,
175 "companyCurrencyDisplayId": "string",
176 "reportingCurrencyId": 0,
177 "reportingCurrencyDisplayId": "string",
178 "masterInvestmentRequestId": 0,
179 "inceptionExchangeRate": 0,
180 "exchangeRateValidFrom": "2019-08-24",
181 "weightedAverageExchangeRate": 0,
182 "status": "DRAFT",
183 "workflowStepName": "string",
184 "description": "string",
185 "justification": "string",
186 "totalRequestedAmount": 0,
187 "totalExpense": 0,
188 "totalSpent": 0,
189 "originalRequestedAmount": 0,
190 "modifiedAmount": 0,
191 "currentAvailable": 0,
192 "modificationId": 0,
193 "requestCategory": {
194 "id": 0,
195 "createdOn": "2019-08-24T14:15:22Z",
196 "createdById": "string",
197 "modifiedOn": "2019-08-24T14:15:22Z",
198 "modifiedById": "string",
199 "createdByName": "string",
200 "lastModifiedByName": "string",
201 "displayId": "string",
202 "title": "string",
203 "subTitle": "string",
204 "icon": "string",
205 "budgetTitle": "string",
206 "budgetSubTitle": "string",
207 "investmentTitle": "string",
208 "investmentSubTitle": "string"
209 },
210 "expectedInitiationDate": "2019-08-24",
211 "expectedCompletionDate": "2019-08-24",
212 "actualInitiationDate": "2019-08-24",
213 "actualCompletionDate": "2019-08-24",
214 "requestUrgency": "string",
215 "leaseArea": {
216 "id": 0,
217 "status": "CREATED",
218 "displayId": "string",
219 "name": "string",
220 "businessUnitId": 0
221 },
222 "businessUnit": {
223 "id": 0,
224 "status": "CREATED",
225 "displayId": "string",
226 "name": "string",
227 "leaseAreaId": 0,
228 "companyId": 0
229 },
230 "company": {
231 "id": 0,
232 "status": "CREATED",
233 "displayId": "string",
234 "erpSystemId": 0,
235 "erpSystemDisplayId": "string",
236 "countryId": 0,
237 "countryDisplayId": "string",
238 "postingPeriodVariantId": 0,
239 "name": "string",
240 "postingPeriodVariantDisplayId": "string",
241 "controllingAreaId": 0,
242 "controllingAreaDisplayId": "string",
243 "chartOfAccountId": 0,
244 "chartOfAccountDisplayId": "string",
245 "fiscalVariantId": 0,
246 "fiscalVariantDisplayId": "string",
247 "chartOfDepreciationId": 0,
248 "chartOfDepreciationDisplayId": "string",
249 "purchasingOrganizationId": 0,
250 "assetId": 0,
251 "exchangeRateTypeId": 0,
252 "plantId": 0,
253 "incrementalBorrowingRateId": 0,
254 "businessUnitId": 0,
255 "projectId": 0,
256 "transferVariantId": 0,
257 "partnerId": 0,
258 "departmentId": 0,
259 "accountingStandardId": 0,
260 "generalLedgerAccountId": 0,
261 "consumerPriceIndexCategoryId": 0,
262 "costCenterId": 0,
263 "costCenterRelationValidFrom": "2019-08-24",
264 "costCenterRelationValidTo": "2019-08-24"
265 },
266 "department": {
267 "id": 0,
268 "status": "CREATED",
269 "displayId": "string",
270 "name": "string",
271 "companyId": 0,
272 "leaseGroupId": 0
273 },
274 "linkedBudgets": [
275 {
276 "id": 0,
277 "createdOn": "2019-08-24T14:15:22Z",
278 "createdById": "string",
279 "modifiedOn": "2019-08-24T14:15:22Z",
280 "modifiedById": "string",
281 "createdByName": "string",
282 "lastModifiedByName": "string",
283 "requestCategoryId": 0,
284 "year": 0,
285 "displayId": "string",
286 "project": "string",
287 "requestCategory": {
288 "id": 0,
289 "createdOn": "2019-08-24T14:15:22Z",
290 "createdById": "string",
291 "modifiedOn": "2019-08-24T14:15:22Z",
292 "modifiedById": "string",
293 "createdByName": "string",
294 "lastModifiedByName": "string",
295 "displayId": "string",
296 "title": "string",
297 "subTitle": "string",
298 "icon": "string",
299 "budgetTitle": "string",
300 "budgetSubTitle": "string",
301 "investmentTitle": "string",
302 "investmentSubTitle": "string"
303 }
304 }
305 ],
306 "investmentRequestToInvestmentAreaIdsLinkedToBudget": [
307 0
308 ]
309 },
310 "investmentRequests": [
311 {
312 "id": 0,
313 "createdOn": "2019-08-24T14:15:22Z",
314 "createdById": "string",
315 "modifiedOn": "2019-08-24T14:15:22Z",
316 "modifiedById": "string",
317 "createdByName": "string",
318 "lastModifiedByName": "string",
319 "requestedAmount": 0,
320 "companyCurrency": "string",
321 "investmentAreaIds": [
322 0
323 ],
324 "requestCategoryId": 0,
325 "displayId": "string",
326 "leaseAreaId": 0,
327 "leaseAreaDisplayId": "string",
328 "leaseAreaName": "string",
329 "businessUnitId": 0,
330 "businessUnitDisplayId": "string",
331 "companyId": 0,
332 "companyDisplayId": "string",
333 "departmentId": 0,
334 "departmentDisplayId": "string",
335 "title": "string",
336 "investmentCurrencyId": 0,
337 "investmentCurrencyDisplayId": "string",
338 "companyCurrencyId": 0,
339 "companyCurrencyDisplayId": "string",
340 "reportingCurrencyId": 0,
341 "reportingCurrencyDisplayId": "string",
342 "masterInvestmentRequestId": 0,
343 "inceptionExchangeRate": 0,
344 "exchangeRateValidFrom": "2019-08-24",
345 "weightedAverageExchangeRate": 0,
346 "status": "DRAFT",
347 "workflowStepName": "string",
348 "description": "string",
349 "justification": "string",
350 "totalRequestedAmount": 0,
351 "totalExpense": 0,
352 "totalSpent": 0,
353 "originalRequestedAmount": 0,
354 "modifiedAmount": 0,
355 "currentAvailable": 0,
356 "modificationId": 0,
357 "requestCategory": {
358 "id": 0,
359 "createdOn": "2019-08-24T14:15:22Z",
360 "createdById": "string",
361 "modifiedOn": "2019-08-24T14:15:22Z",
362 "modifiedById": "string",
363 "createdByName": "string",
364 "lastModifiedByName": "string",
365 "displayId": "string",
366 "title": "string",
367 "subTitle": "string",
368 "icon": "string",
369 "budgetTitle": "string",
370 "budgetSubTitle": "string",
371 "investmentTitle": "string",
372 "investmentSubTitle": "string"
373 },
374 "expectedInitiationDate": "2019-08-24",
375 "expectedCompletionDate": "2019-08-24",
376 "actualInitiationDate": "2019-08-24",
377 "actualCompletionDate": "2019-08-24",
378 "requestUrgency": "string",
379 "leaseArea": {
380 "id": 0,
381 "status": "CREATED",
382 "displayId": "string",
383 "name": "string",
384 "businessUnitId": 0
385 },
386 "businessUnit": {
387 "id": 0,
388 "status": "CREATED",
389 "displayId": "string",
390 "name": "string",
391 "leaseAreaId": 0,
392 "companyId": 0
393 },
394 "company": {
395 "id": 0,
396 "status": "CREATED",
397 "displayId": "string",
398 "erpSystemId": 0,
399 "erpSystemDisplayId": "string",
400 "countryId": 0,
401 "countryDisplayId": "string",
402 "postingPeriodVariantId": 0,
403 "name": "string",
404 "postingPeriodVariantDisplayId": "string",
405 "controllingAreaId": 0,
406 "controllingAreaDisplayId": "string",
407 "chartOfAccountId": 0,
408 "chartOfAccountDisplayId": "string",
409 "fiscalVariantId": 0,
410 "fiscalVariantDisplayId": "string",
411 "chartOfDepreciationId": 0,
412 "chartOfDepreciationDisplayId": "string",
413 "purchasingOrganizationId": 0,
414 "assetId": 0,
415 "exchangeRateTypeId": 0,
416 "plantId": 0,
417 "incrementalBorrowingRateId": 0,
418 "businessUnitId": 0,
419 "projectId": 0,
420 "transferVariantId": 0,
421 "partnerId": 0,
422 "departmentId": 0,
423 "accountingStandardId": 0,
424 "generalLedgerAccountId": 0,
425 "consumerPriceIndexCategoryId": 0,
426 "costCenterId": 0,
427 "costCenterRelationValidFrom": "2019-08-24",
428 "costCenterRelationValidTo": "2019-08-24"
429 },
430 "department": {
431 "id": 0,
432 "status": "CREATED",
433 "displayId": "string",
434 "name": "string",
435 "companyId": 0,
436 "leaseGroupId": 0
437 },
438 "linkedBudgets": [
439 {
440 "id": 0,
441 "createdOn": "2019-08-24T14:15:22Z",
442 "createdById": "string",
443 "modifiedOn": "2019-08-24T14:15:22Z",
444 "modifiedById": "string",
445 "createdByName": "string",
446 "lastModifiedByName": "string",
447 "requestCategoryId": 0,
448 "year": 0,
449 "displayId": "string",
450 "project": "string",
451 "requestCategory": {
452 "id": 0,
453 "createdOn": "2019-08-24T14:15:22Z",
454 "createdById": "string",
455 "modifiedOn": "2019-08-24T14:15:22Z",
456 "modifiedById": "string",
457 "createdByName": "string",
458 "lastModifiedByName": "string",
459 "displayId": "string",
460 "title": "string",
461 "subTitle": "string",
462 "icon": "string",
463 "budgetTitle": "string",
464 "budgetSubTitle": "string",
465 "investmentTitle": "string",
466 "investmentSubTitle": "string"
467 }
468 }
469 ],
470 "investmentRequestToInvestmentAreaIdsLinkedToBudget": [
471 0
472 ]
473 }
474 ],
475 "totalSpent": 0,
476 "totalReserved": 0,
477 "budgetBalance": 0
478 },
479 "nimInvestmentAreaDto": {
480 "id": 0,
481 "createdOn": "2019-08-24T14:15:22Z",
482 "createdById": "string",
483 "modifiedOn": "2019-08-24T14:15:22Z",
484 "modifiedById": "string",
485 "createdByName": "string",
486 "lastModifiedByName": "string",
487 "displayId": "string",
488 "name": "string",
489 "assetClasses": [
490 0
491 ]
492 }
493 }
494 ]
495 }
496}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "createdBy": "string",
3 "lastModifiedBy": "string",
4 "createdDate": "2019-08-24T14:15:22Z",
5 "lastModifiedDate": "2019-08-24T14:15:22Z",
6 "archived": true,
7 "externalId": "string",
8 "id": 0,
9 "allocatedAmount": 0,
10 "projectId": 0,
11 "projectName": "string",
12 "projectDisplayId": "string",
13 "budgetId": 0,
14 "budgetDto": {
15 "createdBy": "string",
16 "lastModifiedBy": "string",
17 "createdDate": "2019-08-24T14:15:22Z",
18 "lastModifiedDate": "2019-08-24T14:15:22Z",
19 "archived": true,
20 "externalId": "string",
21 "id": 0,
22 "name": "string",
23 "startDate": "2019-08-24",
24 "dueDate": "2019-08-24",
25 "departmentId": 0,
26 "statusId": 0,
27 "totalBudgetAmount": 0,
28 "allocatedBudgetAmount": 0,
29 "owner": "string",
30 "status": {
31 "createdBy": "string",
32 "lastModifiedBy": "string",
33 "createdDate": "2019-08-24T14:15:22Z",
34 "lastModifiedDate": "2019-08-24T14:15:22Z",
35 "archived": true,
36 "externalId": "string",
37 "id": 0,
38 "priority": 0,
39 "internalId": 0,
40 "pickListCode": "string",
41 "pickListLabel": "string",
42 "label": "string",
43 "cultureId": 0,
44 "labelDtos": [
45 {
46 "createdBy": "string",
47 "lastModifiedBy": "string",
48 "createdDate": "2019-08-24T14:15:22Z",
49 "lastModifiedDate": "2019-08-24T14:15:22Z",
50 "archived": true,
51 "externalId": "string",
52 "id": 0,
53 "cultureId": 0,
54 "value": "string"
55 }
56 ]
57 },
58 "department": {
59 "createdBy": "string",
60 "lastModifiedBy": "string",
61 "createdDate": "2019-08-24T14:15:22Z",
62 "lastModifiedDate": "2019-08-24T14:15:22Z",
63 "archived": true,
64 "externalId": "string",
65 "id": 0,
66 "priority": 0,
67 "internalId": 0,
68 "pickListCode": "string",
69 "pickListLabel": "string",
70 "label": "string",
71 "cultureId": 0,
72 "labelDtos": [
73 {
74 "createdBy": "string",
75 "lastModifiedBy": "string",
76 "createdDate": "2019-08-24T14:15:22Z",
77 "lastModifiedDate": "2019-08-24T14:15:22Z",
78 "archived": true,
79 "externalId": "string",
80 "id": 0,
81 "cultureId": 0,
82 "value": "string"
83 }
84 ]
85 },
86 "nimBudgetLinkDtos": [
87 {
88 "createdBy": "string",
89 "lastModifiedBy": "string",
90 "createdDate": "2019-08-24T14:15:22Z",
91 "lastModifiedDate": "2019-08-24T14:15:22Z",
92 "archived": true,
93 "externalId": "string",
94 "id": 0,
95 "nimBudgetId": 0,
96 "nimInvestmentAreaId": 0,
97 "nimBudgetDto": {},
98 "nimBudgetInvestmentAreaDto": {
99 "id": 0,
100 "createdOn": "2019-08-24T14:15:22Z",
101 "createdById": "string",
102 "modifiedOn": "2019-08-24T14:15:22Z",
103 "modifiedById": "string",
104 "createdByName": "string",
105 "lastModifiedByName": "string",
106 "amount": 0,
107 "originalCurrencyId": 0,
108 "originalCurrencyDisplayId": "string",
109 "originalAmount": 0,
110 "rate": 0,
111 "rateDate": "2019-08-24",
112 "investmentAreaId": 0,
113 "investmentArea": {
114 "id": 0,
115 "createdOn": "2019-08-24T14:15:22Z",
116 "createdById": "string",
117 "modifiedOn": "2019-08-24T14:15:22Z",
118 "modifiedById": "string",
119 "createdByName": "string",
120 "lastModifiedByName": "string",
121 "displayId": "string",
122 "name": "string",
123 "assetClasses": [
124 0
125 ]
126 },
127 "budgetYearDistributions": [
128 {
129 "id": 0,
130 "createdOn": "2019-08-24T14:15:22Z",
131 "createdById": "string",
132 "modifiedOn": "2019-08-24T14:15:22Z",
133 "modifiedById": "string",
134 "createdByName": "string",
135 "lastModifiedByName": "string",
136 "year": 0,
137 "amount": 0,
138 "originalCurrencyId": 0,
139 "originalCurrencyDisplayId": "string",
140 "originalAmount": 0,
141 "rate": 0,
142 "rateDate": "2019-08-24",
143 "spent": 0,
144 "budgetInvestmentAreaId": 0
145 }
146 ],
147 "investmentRequest": {
148 "id": 0,
149 "createdOn": "2019-08-24T14:15:22Z",
150 "createdById": "string",
151 "modifiedOn": "2019-08-24T14:15:22Z",
152 "modifiedById": "string",
153 "createdByName": "string",
154 "lastModifiedByName": "string",
155 "requestedAmount": 0,
156 "companyCurrency": "string",
157 "investmentAreaIds": [
158 0
159 ],
160 "requestCategoryId": 0,
161 "displayId": "string",
162 "leaseAreaId": 0,
163 "leaseAreaDisplayId": "string",
164 "leaseAreaName": "string",
165 "businessUnitId": 0,
166 "businessUnitDisplayId": "string",
167 "companyId": 0,
168 "companyDisplayId": "string",
169 "departmentId": 0,
170 "departmentDisplayId": "string",
171 "title": "string",
172 "investmentCurrencyId": 0,
173 "investmentCurrencyDisplayId": "string",
174 "companyCurrencyId": 0,
175 "companyCurrencyDisplayId": "string",
176 "reportingCurrencyId": 0,
177 "reportingCurrencyDisplayId": "string",
178 "masterInvestmentRequestId": 0,
179 "inceptionExchangeRate": 0,
180 "exchangeRateValidFrom": "2019-08-24",
181 "weightedAverageExchangeRate": 0,
182 "status": "DRAFT",
183 "workflowStepName": "string",
184 "description": "string",
185 "justification": "string",
186 "totalRequestedAmount": 0,
187 "totalExpense": 0,
188 "totalSpent": 0,
189 "originalRequestedAmount": 0,
190 "modifiedAmount": 0,
191 "currentAvailable": 0,
192 "modificationId": 0,
193 "requestCategory": {
194 "id": 0,
195 "createdOn": "2019-08-24T14:15:22Z",
196 "createdById": "string",
197 "modifiedOn": "2019-08-24T14:15:22Z",
198 "modifiedById": "string",
199 "createdByName": "string",
200 "lastModifiedByName": "string",
201 "displayId": "string",
202 "title": "string",
203 "subTitle": "string",
204 "icon": "string",
205 "budgetTitle": "string",
206 "budgetSubTitle": "string",
207 "investmentTitle": "string",
208 "investmentSubTitle": "string"
209 },
210 "expectedInitiationDate": "2019-08-24",
211 "expectedCompletionDate": "2019-08-24",
212 "actualInitiationDate": "2019-08-24",
213 "actualCompletionDate": "2019-08-24",
214 "requestUrgency": "string",
215 "leaseArea": {
216 "id": 0,
217 "status": "CREATED",
218 "displayId": "string",
219 "name": "string",
220 "businessUnitId": 0
221 },
222 "businessUnit": {
223 "id": 0,
224 "status": "CREATED",
225 "displayId": "string",
226 "name": "string",
227 "leaseAreaId": 0,
228 "companyId": 0
229 },
230 "company": {
231 "id": 0,
232 "status": "CREATED",
233 "displayId": "string",
234 "erpSystemId": 0,
235 "erpSystemDisplayId": "string",
236 "countryId": 0,
237 "countryDisplayId": "string",
238 "postingPeriodVariantId": 0,
239 "name": "string",
240 "postingPeriodVariantDisplayId": "string",
241 "controllingAreaId": 0,
242 "controllingAreaDisplayId": "string",
243 "chartOfAccountId": 0,
244 "chartOfAccountDisplayId": "string",
245 "fiscalVariantId": 0,
246 "fiscalVariantDisplayId": "string",
247 "chartOfDepreciationId": 0,
248 "chartOfDepreciationDisplayId": "string",
249 "purchasingOrganizationId": 0,
250 "assetId": 0,
251 "exchangeRateTypeId": 0,
252 "plantId": 0,
253 "incrementalBorrowingRateId": 0,
254 "businessUnitId": 0,
255 "projectId": 0,
256 "transferVariantId": 0,
257 "partnerId": 0,
258 "departmentId": 0,
259 "accountingStandardId": 0,
260 "generalLedgerAccountId": 0,
261 "consumerPriceIndexCategoryId": 0,
262 "costCenterId": 0,
263 "costCenterRelationValidFrom": "2019-08-24",
264 "costCenterRelationValidTo": "2019-08-24"
265 },
266 "department": {
267 "id": 0,
268 "status": "CREATED",
269 "displayId": "string",
270 "name": "string",
271 "companyId": 0,
272 "leaseGroupId": 0
273 },
274 "linkedBudgets": [
275 {
276 "id": 0,
277 "createdOn": "2019-08-24T14:15:22Z",
278 "createdById": "string",
279 "modifiedOn": "2019-08-24T14:15:22Z",
280 "modifiedById": "string",
281 "createdByName": "string",
282 "lastModifiedByName": "string",
283 "requestCategoryId": 0,
284 "year": 0,
285 "displayId": "string",
286 "project": "string",
287 "requestCategory": {
288 "id": 0,
289 "createdOn": "2019-08-24T14:15:22Z",
290 "createdById": "string",
291 "modifiedOn": "2019-08-24T14:15:22Z",
292 "modifiedById": "string",
293 "createdByName": "string",
294 "lastModifiedByName": "string",
295 "displayId": "string",
296 "title": "string",
297 "subTitle": "string",
298 "icon": "string",
299 "budgetTitle": "string",
300 "budgetSubTitle": "string",
301 "investmentTitle": "string",
302 "investmentSubTitle": "string"
303 }
304 }
305 ],
306 "investmentRequestToInvestmentAreaIdsLinkedToBudget": [
307 0
308 ]
309 },
310 "investmentRequests": [
311 {
312 "id": 0,
313 "createdOn": "2019-08-24T14:15:22Z",
314 "createdById": "string",
315 "modifiedOn": "2019-08-24T14:15:22Z",
316 "modifiedById": "string",
317 "createdByName": "string",
318 "lastModifiedByName": "string",
319 "requestedAmount": 0,
320 "companyCurrency": "string",
321 "investmentAreaIds": [
322 0
323 ],
324 "requestCategoryId": 0,
325 "displayId": "string",
326 "leaseAreaId": 0,
327 "leaseAreaDisplayId": "string",
328 "leaseAreaName": "string",
329 "businessUnitId": 0,
330 "businessUnitDisplayId": "string",
331 "companyId": 0,
332 "companyDisplayId": "string",
333 "departmentId": 0,
334 "departmentDisplayId": "string",
335 "title": "string",
336 "investmentCurrencyId": 0,
337 "investmentCurrencyDisplayId": "string",
338 "companyCurrencyId": 0,
339 "companyCurrencyDisplayId": "string",
340 "reportingCurrencyId": 0,
341 "reportingCurrencyDisplayId": "string",
342 "masterInvestmentRequestId": 0,
343 "inceptionExchangeRate": 0,
344 "exchangeRateValidFrom": "2019-08-24",
345 "weightedAverageExchangeRate": 0,
346 "status": "DRAFT",
347 "workflowStepName": "string",
348 "description": "string",
349 "justification": "string",
350 "totalRequestedAmount": 0,
351 "totalExpense": 0,
352 "totalSpent": 0,
353 "originalRequestedAmount": 0,
354 "modifiedAmount": 0,
355 "currentAvailable": 0,
356 "modificationId": 0,
357 "requestCategory": {
358 "id": 0,
359 "createdOn": "2019-08-24T14:15:22Z",
360 "createdById": "string",
361 "modifiedOn": "2019-08-24T14:15:22Z",
362 "modifiedById": "string",
363 "createdByName": "string",
364 "lastModifiedByName": "string",
365 "displayId": "string",
366 "title": "string",
367 "subTitle": "string",
368 "icon": "string",
369 "budgetTitle": "string",
370 "budgetSubTitle": "string",
371 "investmentTitle": "string",
372 "investmentSubTitle": "string"
373 },
374 "expectedInitiationDate": "2019-08-24",
375 "expectedCompletionDate": "2019-08-24",
376 "actualInitiationDate": "2019-08-24",
377 "actualCompletionDate": "2019-08-24",
378 "requestUrgency": "string",
379 "leaseArea": {
380 "id": 0,
381 "status": "CREATED",
382 "displayId": "string",
383 "name": "string",
384 "businessUnitId": 0
385 },
386 "businessUnit": {
387 "id": 0,
388 "status": "CREATED",
389 "displayId": "string",
390 "name": "string",
391 "leaseAreaId": 0,
392 "companyId": 0
393 },
394 "company": {
395 "id": 0,
396 "status": "CREATED",
397 "displayId": "string",
398 "erpSystemId": 0,
399 "erpSystemDisplayId": "string",
400 "countryId": 0,
401 "countryDisplayId": "string",
402 "postingPeriodVariantId": 0,
403 "name": "string",
404 "postingPeriodVariantDisplayId": "string",
405 "controllingAreaId": 0,
406 "controllingAreaDisplayId": "string",
407 "chartOfAccountId": 0,
408 "chartOfAccountDisplayId": "string",
409 "fiscalVariantId": 0,
410 "fiscalVariantDisplayId": "string",
411 "chartOfDepreciationId": 0,
412 "chartOfDepreciationDisplayId": "string",
413 "purchasingOrganizationId": 0,
414 "assetId": 0,
415 "exchangeRateTypeId": 0,
416 "plantId": 0,
417 "incrementalBorrowingRateId": 0,
418 "businessUnitId": 0,
419 "projectId": 0,
420 "transferVariantId": 0,
421 "partnerId": 0,
422 "departmentId": 0,
423 "accountingStandardId": 0,
424 "generalLedgerAccountId": 0,
425 "consumerPriceIndexCategoryId": 0,
426 "costCenterId": 0,
427 "costCenterRelationValidFrom": "2019-08-24",
428 "costCenterRelationValidTo": "2019-08-24"
429 },
430 "department": {
431 "id": 0,
432 "status": "CREATED",
433 "displayId": "string",
434 "name": "string",
435 "companyId": 0,
436 "leaseGroupId": 0
437 },
438 "linkedBudgets": [
439 {
440 "id": 0,
441 "createdOn": "2019-08-24T14:15:22Z",
442 "createdById": "string",
443 "modifiedOn": "2019-08-24T14:15:22Z",
444 "modifiedById": "string",
445 "createdByName": "string",
446 "lastModifiedByName": "string",
447 "requestCategoryId": 0,
448 "year": 0,
449 "displayId": "string",
450 "project": "string",
451 "requestCategory": {
452 "id": 0,
453 "createdOn": "2019-08-24T14:15:22Z",
454 "createdById": "string",
455 "modifiedOn": "2019-08-24T14:15:22Z",
456 "modifiedById": "string",
457 "createdByName": "string",
458 "lastModifiedByName": "string",
459 "displayId": "string",
460 "title": "string",
461 "subTitle": "string",
462 "icon": "string",
463 "budgetTitle": "string",
464 "budgetSubTitle": "string",
465 "investmentTitle": "string",
466 "investmentSubTitle": "string"
467 }
468 }
469 ],
470 "investmentRequestToInvestmentAreaIdsLinkedToBudget": [
471 0
472 ]
473 }
474 ],
475 "totalSpent": 0,
476 "totalReserved": 0,
477 "budgetBalance": 0
478 },
479 "nimInvestmentAreaDto": {
480 "id": 0,
481 "createdOn": "2019-08-24T14:15:22Z",
482 "createdById": "string",
483 "modifiedOn": "2019-08-24T14:15:22Z",
484 "modifiedById": "string",
485 "createdByName": "string",
486 "lastModifiedByName": "string",
487 "displayId": "string",
488 "name": "string",
489 "assetClasses": [
490 0
491 ]
492 }
493 }
494 ]
495 }
496}
Budget Allocation - Delete Budget Allocation¶
HTTP Request
DELETE /api/budget-allocations/{id}
📋 Description: Deletes a specified budget allocation from the Nakisa Portfolio Management Suite, enabling users to effectively manage and optimize financial resources within their portfolio and asset analytics.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Unique identifier for the resource |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
204 |
No Content |
None |
Budget Allocation - Update Budget Allocation List¶
HTTP Request
PUT /api/budget-allocations/list
📋 Description: Updates the budget allocations for specified portfolios within the Nakisa Portfolio Management Suite, enabling users to optimize asset distribution and enhance analytics for real estate properties.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
Request body containing the updated budget allocation data for portfolio and asset management, including financial metrics and allocation details for real estate properties. |
Body Parameters
1[
2 {
3 "createdBy": "string",
4 "lastModifiedBy": "string",
5 "createdDate": "2019-08-24T14:15:22Z",
6 "lastModifiedDate": "2019-08-24T14:15:22Z",
7 "archived": true,
8 "externalId": "string",
9 "id": 0,
10 "allocatedAmount": 0,
11 "projectId": 0,
12 "projectName": "string",
13 "projectDisplayId": "string",
14 "budgetId": 0,
15 "budgetDto": {
16 "createdBy": "string",
17 "lastModifiedBy": "string",
18 "createdDate": "2019-08-24T14:15:22Z",
19 "lastModifiedDate": "2019-08-24T14:15:22Z",
20 "archived": true,
21 "externalId": "string",
22 "id": 0,
23 "name": "string",
24 "startDate": "2019-08-24",
25 "dueDate": "2019-08-24",
26 "departmentId": 0,
27 "statusId": 0,
28 "totalBudgetAmount": 0,
29 "allocatedBudgetAmount": 0,
30 "owner": "string",
31 "status": {
32 "createdBy": "string",
33 "lastModifiedBy": "string",
34 "createdDate": "2019-08-24T14:15:22Z",
35 "lastModifiedDate": "2019-08-24T14:15:22Z",
36 "archived": true,
37 "externalId": "string",
38 "id": 0,
39 "priority": 0,
40 "internalId": 0,
41 "pickListCode": "string",
42 "pickListLabel": "string",
43 "label": "string",
44 "cultureId": 0,
45 "labelDtos": [
46 {
47 "createdBy": "string",
48 "lastModifiedBy": "string",
49 "createdDate": "2019-08-24T14:15:22Z",
50 "lastModifiedDate": "2019-08-24T14:15:22Z",
51 "archived": true,
52 "externalId": "string",
53 "id": 0,
54 "cultureId": 0,
55 "value": "string"
56 }
57 ]
58 },
59 "department": {
60 "createdBy": "string",
61 "lastModifiedBy": "string",
62 "createdDate": "2019-08-24T14:15:22Z",
63 "lastModifiedDate": "2019-08-24T14:15:22Z",
64 "archived": true,
65 "externalId": "string",
66 "id": 0,
67 "priority": 0,
68 "internalId": 0,
69 "pickListCode": "string",
70 "pickListLabel": "string",
71 "label": "string",
72 "cultureId": 0,
73 "labelDtos": [
74 {
75 "createdBy": "string",
76 "lastModifiedBy": "string",
77 "createdDate": "2019-08-24T14:15:22Z",
78 "lastModifiedDate": "2019-08-24T14:15:22Z",
79 "archived": true,
80 "externalId": "string",
81 "id": 0,
82 "cultureId": 0,
83 "value": "string"
84 }
85 ]
86 },
87 "nimBudgetLinkDtos": [
88 {
89 "createdBy": "string",
90 "lastModifiedBy": "string",
91 "createdDate": "2019-08-24T14:15:22Z",
92 "lastModifiedDate": "2019-08-24T14:15:22Z",
93 "archived": true,
94 "externalId": "string",
95 "id": 0,
96 "nimBudgetId": 0,
97 "nimInvestmentAreaId": 0,
98 "nimBudgetDto": {},
99 "nimBudgetInvestmentAreaDto": {
100 "id": 0,
101 "createdOn": "2019-08-24T14:15:22Z",
102 "createdById": "string",
103 "modifiedOn": "2019-08-24T14:15:22Z",
104 "modifiedById": "string",
105 "createdByName": "string",
106 "lastModifiedByName": "string",
107 "amount": 0,
108 "originalCurrencyId": 0,
109 "originalCurrencyDisplayId": "string",
110 "originalAmount": 0,
111 "rate": 0,
112 "rateDate": "2019-08-24",
113 "investmentAreaId": 0,
114 "investmentArea": {
115 "id": 0,
116 "createdOn": "2019-08-24T14:15:22Z",
117 "createdById": "string",
118 "modifiedOn": "2019-08-24T14:15:22Z",
119 "modifiedById": "string",
120 "createdByName": "string",
121 "lastModifiedByName": "string",
122 "displayId": "string",
123 "name": "string",
124 "assetClasses": [
125 0
126 ]
127 },
128 "budgetYearDistributions": [
129 {
130 "id": 0,
131 "createdOn": "2019-08-24T14:15:22Z",
132 "createdById": "string",
133 "modifiedOn": "2019-08-24T14:15:22Z",
134 "modifiedById": "string",
135 "createdByName": "string",
136 "lastModifiedByName": "string",
137 "year": 0,
138 "amount": 0,
139 "originalCurrencyId": 0,
140 "originalCurrencyDisplayId": "string",
141 "originalAmount": 0,
142 "rate": 0,
143 "rateDate": "2019-08-24",
144 "spent": 0,
145 "budgetInvestmentAreaId": 0
146 }
147 ],
148 "investmentRequest": {
149 "id": 0,
150 "createdOn": "2019-08-24T14:15:22Z",
151 "createdById": "string",
152 "modifiedOn": "2019-08-24T14:15:22Z",
153 "modifiedById": "string",
154 "createdByName": "string",
155 "lastModifiedByName": "string",
156 "requestedAmount": 0,
157 "companyCurrency": "string",
158 "investmentAreaIds": [
159 0
160 ],
161 "requestCategoryId": 0,
162 "displayId": "string",
163 "leaseAreaId": 0,
164 "leaseAreaDisplayId": "string",
165 "leaseAreaName": "string",
166 "businessUnitId": 0,
167 "businessUnitDisplayId": "string",
168 "companyId": 0,
169 "companyDisplayId": "string",
170 "departmentId": 0,
171 "departmentDisplayId": "string",
172 "title": "string",
173 "investmentCurrencyId": 0,
174 "investmentCurrencyDisplayId": "string",
175 "companyCurrencyId": 0,
176 "companyCurrencyDisplayId": "string",
177 "reportingCurrencyId": 0,
178 "reportingCurrencyDisplayId": "string",
179 "masterInvestmentRequestId": 0,
180 "inceptionExchangeRate": 0,
181 "exchangeRateValidFrom": "2019-08-24",
182 "weightedAverageExchangeRate": 0,
183 "status": "DRAFT",
184 "workflowStepName": "string",
185 "description": "string",
186 "justification": "string",
187 "totalRequestedAmount": 0,
188 "totalExpense": 0,
189 "totalSpent": 0,
190 "originalRequestedAmount": 0,
191 "modifiedAmount": 0,
192 "currentAvailable": 0,
193 "modificationId": 0,
194 "requestCategory": {
195 "id": 0,
196 "createdOn": "2019-08-24T14:15:22Z",
197 "createdById": "string",
198 "modifiedOn": "2019-08-24T14:15:22Z",
199 "modifiedById": "string",
200 "createdByName": "string",
201 "lastModifiedByName": "string",
202 "displayId": "string",
203 "title": "string",
204 "subTitle": "string",
205 "icon": "string",
206 "budgetTitle": "string",
207 "budgetSubTitle": "string",
208 "investmentTitle": "string",
209 "investmentSubTitle": "string"
210 },
211 "expectedInitiationDate": "2019-08-24",
212 "expectedCompletionDate": "2019-08-24",
213 "actualInitiationDate": "2019-08-24",
214 "actualCompletionDate": "2019-08-24",
215 "requestUrgency": "string",
216 "leaseArea": {
217 "id": 0,
218 "status": "CREATED",
219 "displayId": "string",
220 "name": "string",
221 "businessUnitId": 0
222 },
223 "businessUnit": {
224 "id": 0,
225 "status": "CREATED",
226 "displayId": "string",
227 "name": "string",
228 "leaseAreaId": 0,
229 "companyId": 0
230 },
231 "company": {
232 "id": 0,
233 "status": "CREATED",
234 "displayId": "string",
235 "erpSystemId": 0,
236 "erpSystemDisplayId": "string",
237 "countryId": 0,
238 "countryDisplayId": "string",
239 "postingPeriodVariantId": 0,
240 "name": "string",
241 "postingPeriodVariantDisplayId": "string",
242 "controllingAreaId": 0,
243 "controllingAreaDisplayId": "string",
244 "chartOfAccountId": 0,
245 "chartOfAccountDisplayId": "string",
246 "fiscalVariantId": 0,
247 "fiscalVariantDisplayId": "string",
248 "chartOfDepreciationId": 0,
249 "chartOfDepreciationDisplayId": "string",
250 "purchasingOrganizationId": 0,
251 "assetId": 0,
252 "exchangeRateTypeId": 0,
253 "plantId": 0,
254 "incrementalBorrowingRateId": 0,
255 "businessUnitId": 0,
256 "projectId": 0,
257 "transferVariantId": 0,
258 "partnerId": 0,
259 "departmentId": 0,
260 "accountingStandardId": 0,
261 "generalLedgerAccountId": 0,
262 "consumerPriceIndexCategoryId": 0,
263 "costCenterId": 0,
264 "costCenterRelationValidFrom": "2019-08-24",
265 "costCenterRelationValidTo": "2019-08-24"
266 },
267 "department": {
268 "id": 0,
269 "status": "CREATED",
270 "displayId": "string",
271 "name": "string",
272 "companyId": 0,
273 "leaseGroupId": 0
274 },
275 "linkedBudgets": [
276 {
277 "id": 0,
278 "createdOn": "2019-08-24T14:15:22Z",
279 "createdById": "string",
280 "modifiedOn": "2019-08-24T14:15:22Z",
281 "modifiedById": "string",
282 "createdByName": "string",
283 "lastModifiedByName": "string",
284 "requestCategoryId": 0,
285 "year": 0,
286 "displayId": "string",
287 "project": "string",
288 "requestCategory": {
289 "id": 0,
290 "createdOn": "2019-08-24T14:15:22Z",
291 "createdById": "string",
292 "modifiedOn": "2019-08-24T14:15:22Z",
293 "modifiedById": "string",
294 "createdByName": "string",
295 "lastModifiedByName": "string",
296 "displayId": "string",
297 "title": "string",
298 "subTitle": "string",
299 "icon": "string",
300 "budgetTitle": "string",
301 "budgetSubTitle": "string",
302 "investmentTitle": "string",
303 "investmentSubTitle": "string"
304 }
305 }
306 ],
307 "investmentRequestToInvestmentAreaIdsLinkedToBudget": [
308 0
309 ]
310 },
311 "investmentRequests": [
312 {
313 "id": 0,
314 "createdOn": "2019-08-24T14:15:22Z",
315 "createdById": "string",
316 "modifiedOn": "2019-08-24T14:15:22Z",
317 "modifiedById": "string",
318 "createdByName": "string",
319 "lastModifiedByName": "string",
320 "requestedAmount": 0,
321 "companyCurrency": "string",
322 "investmentAreaIds": [
323 0
324 ],
325 "requestCategoryId": 0,
326 "displayId": "string",
327 "leaseAreaId": 0,
328 "leaseAreaDisplayId": "string",
329 "leaseAreaName": "string",
330 "businessUnitId": 0,
331 "businessUnitDisplayId": "string",
332 "companyId": 0,
333 "companyDisplayId": "string",
334 "departmentId": 0,
335 "departmentDisplayId": "string",
336 "title": "string",
337 "investmentCurrencyId": 0,
338 "investmentCurrencyDisplayId": "string",
339 "companyCurrencyId": 0,
340 "companyCurrencyDisplayId": "string",
341 "reportingCurrencyId": 0,
342 "reportingCurrencyDisplayId": "string",
343 "masterInvestmentRequestId": 0,
344 "inceptionExchangeRate": 0,
345 "exchangeRateValidFrom": "2019-08-24",
346 "weightedAverageExchangeRate": 0,
347 "status": "DRAFT",
348 "workflowStepName": "string",
349 "description": "string",
350 "justification": "string",
351 "totalRequestedAmount": 0,
352 "totalExpense": 0,
353 "totalSpent": 0,
354 "originalRequestedAmount": 0,
355 "modifiedAmount": 0,
356 "currentAvailable": 0,
357 "modificationId": 0,
358 "requestCategory": {
359 "id": 0,
360 "createdOn": "2019-08-24T14:15:22Z",
361 "createdById": "string",
362 "modifiedOn": "2019-08-24T14:15:22Z",
363 "modifiedById": "string",
364 "createdByName": "string",
365 "lastModifiedByName": "string",
366 "displayId": "string",
367 "title": "string",
368 "subTitle": "string",
369 "icon": "string",
370 "budgetTitle": "string",
371 "budgetSubTitle": "string",
372 "investmentTitle": "string",
373 "investmentSubTitle": "string"
374 },
375 "expectedInitiationDate": "2019-08-24",
376 "expectedCompletionDate": "2019-08-24",
377 "actualInitiationDate": "2019-08-24",
378 "actualCompletionDate": "2019-08-24",
379 "requestUrgency": "string",
380 "leaseArea": {
381 "id": 0,
382 "status": "CREATED",
383 "displayId": "string",
384 "name": "string",
385 "businessUnitId": 0
386 },
387 "businessUnit": {
388 "id": 0,
389 "status": "CREATED",
390 "displayId": "string",
391 "name": "string",
392 "leaseAreaId": 0,
393 "companyId": 0
394 },
395 "company": {
396 "id": 0,
397 "status": "CREATED",
398 "displayId": "string",
399 "erpSystemId": 0,
400 "erpSystemDisplayId": "string",
401 "countryId": 0,
402 "countryDisplayId": "string",
403 "postingPeriodVariantId": 0,
404 "name": "string",
405 "postingPeriodVariantDisplayId": "string",
406 "controllingAreaId": 0,
407 "controllingAreaDisplayId": "string",
408 "chartOfAccountId": 0,
409 "chartOfAccountDisplayId": "string",
410 "fiscalVariantId": 0,
411 "fiscalVariantDisplayId": "string",
412 "chartOfDepreciationId": 0,
413 "chartOfDepreciationDisplayId": "string",
414 "purchasingOrganizationId": 0,
415 "assetId": 0,
416 "exchangeRateTypeId": 0,
417 "plantId": 0,
418 "incrementalBorrowingRateId": 0,
419 "businessUnitId": 0,
420 "projectId": 0,
421 "transferVariantId": 0,
422 "partnerId": 0,
423 "departmentId": 0,
424 "accountingStandardId": 0,
425 "generalLedgerAccountId": 0,
426 "consumerPriceIndexCategoryId": 0,
427 "costCenterId": 0,
428 "costCenterRelationValidFrom": "2019-08-24",
429 "costCenterRelationValidTo": "2019-08-24"
430 },
431 "department": {
432 "id": 0,
433 "status": "CREATED",
434 "displayId": "string",
435 "name": "string",
436 "companyId": 0,
437 "leaseGroupId": 0
438 },
439 "linkedBudgets": [
440 {
441 "id": 0,
442 "createdOn": "2019-08-24T14:15:22Z",
443 "createdById": "string",
444 "modifiedOn": "2019-08-24T14:15:22Z",
445 "modifiedById": "string",
446 "createdByName": "string",
447 "lastModifiedByName": "string",
448 "requestCategoryId": 0,
449 "year": 0,
450 "displayId": "string",
451 "project": "string",
452 "requestCategory": {}
453 }
454 ],
455 "investmentRequestToInvestmentAreaIdsLinkedToBudget": [
456 0
457 ]
458 }
459 ],
460 "totalSpent": 0,
461 "totalReserved": 0,
462 "budgetBalance": 0
463 },
464 "nimInvestmentAreaDto": {
465 "id": 0,
466 "createdOn": "2019-08-24T14:15:22Z",
467 "createdById": "string",
468 "modifiedOn": "2019-08-24T14:15:22Z",
469 "modifiedById": "string",
470 "createdByName": "string",
471 "lastModifiedByName": "string",
472 "displayId": "string",
473 "name": "string",
474 "assetClasses": [
475 0
476 ]
477 }
478 }
479 ]
480 }
481 }
482]
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Inline |
Example Responses
1[
2 {
3 "createdBy": "string",
4 "lastModifiedBy": "string",
5 "createdDate": "2019-08-24T14:15:22Z",
6 "lastModifiedDate": "2019-08-24T14:15:22Z",
7 "archived": true,
8 "externalId": "string",
9 "id": 0,
10 "allocatedAmount": 0,
11 "projectId": 0,
12 "projectName": "string",
13 "projectDisplayId": "string",
14 "budgetId": 0,
15 "budgetDto": {
16 "createdBy": "string",
17 "lastModifiedBy": "string",
18 "createdDate": "2019-08-24T14:15:22Z",
19 "lastModifiedDate": "2019-08-24T14:15:22Z",
20 "archived": true,
21 "externalId": "string",
22 "id": 0,
23 "name": "string",
24 "startDate": "2019-08-24",
25 "dueDate": "2019-08-24",
26 "departmentId": 0,
27 "statusId": 0,
28 "totalBudgetAmount": 0,
29 "allocatedBudgetAmount": 0,
30 "owner": "string",
31 "status": {
32 "createdBy": "string",
33 "lastModifiedBy": "string",
34 "createdDate": "2019-08-24T14:15:22Z",
35 "lastModifiedDate": "2019-08-24T14:15:22Z",
36 "archived": true,
37 "externalId": "string",
38 "id": 0,
39 "priority": 0,
40 "internalId": 0,
41 "pickListCode": "string",
42 "pickListLabel": "string",
43 "label": "string",
44 "cultureId": 0,
45 "labelDtos": [
46 {
47 "createdBy": "string",
48 "lastModifiedBy": "string",
49 "createdDate": "2019-08-24T14:15:22Z",
50 "lastModifiedDate": "2019-08-24T14:15:22Z",
51 "archived": true,
52 "externalId": "string",
53 "id": 0,
54 "cultureId": 0,
55 "value": "string"
56 }
57 ]
58 },
59 "department": {
60 "createdBy": "string",
61 "lastModifiedBy": "string",
62 "createdDate": "2019-08-24T14:15:22Z",
63 "lastModifiedDate": "2019-08-24T14:15:22Z",
64 "archived": true,
65 "externalId": "string",
66 "id": 0,
67 "priority": 0,
68 "internalId": 0,
69 "pickListCode": "string",
70 "pickListLabel": "string",
71 "label": "string",
72 "cultureId": 0,
73 "labelDtos": [
74 {
75 "createdBy": "string",
76 "lastModifiedBy": "string",
77 "createdDate": "2019-08-24T14:15:22Z",
78 "lastModifiedDate": "2019-08-24T14:15:22Z",
79 "archived": true,
80 "externalId": "string",
81 "id": 0,
82 "cultureId": 0,
83 "value": "string"
84 }
85 ]
86 },
87 "nimBudgetLinkDtos": [
88 {
89 "createdBy": "string",
90 "lastModifiedBy": "string",
91 "createdDate": "2019-08-24T14:15:22Z",
92 "lastModifiedDate": "2019-08-24T14:15:22Z",
93 "archived": true,
94 "externalId": "string",
95 "id": 0,
96 "nimBudgetId": 0,
97 "nimInvestmentAreaId": 0,
98 "nimBudgetDto": {},
99 "nimBudgetInvestmentAreaDto": {
100 "id": 0,
101 "createdOn": "2019-08-24T14:15:22Z",
102 "createdById": "string",
103 "modifiedOn": "2019-08-24T14:15:22Z",
104 "modifiedById": "string",
105 "createdByName": "string",
106 "lastModifiedByName": "string",
107 "amount": 0,
108 "originalCurrencyId": 0,
109 "originalCurrencyDisplayId": "string",
110 "originalAmount": 0,
111 "rate": 0,
112 "rateDate": "2019-08-24",
113 "investmentAreaId": 0,
114 "investmentArea": {
115 "id": 0,
116 "createdOn": "2019-08-24T14:15:22Z",
117 "createdById": "string",
118 "modifiedOn": "2019-08-24T14:15:22Z",
119 "modifiedById": "string",
120 "createdByName": "string",
121 "lastModifiedByName": "string",
122 "displayId": "string",
123 "name": "string",
124 "assetClasses": [
125 0
126 ]
127 },
128 "budgetYearDistributions": [
129 {
130 "id": 0,
131 "createdOn": "2019-08-24T14:15:22Z",
132 "createdById": "string",
133 "modifiedOn": "2019-08-24T14:15:22Z",
134 "modifiedById": "string",
135 "createdByName": "string",
136 "lastModifiedByName": "string",
137 "year": 0,
138 "amount": 0,
139 "originalCurrencyId": 0,
140 "originalCurrencyDisplayId": "string",
141 "originalAmount": 0,
142 "rate": 0,
143 "rateDate": "2019-08-24",
144 "spent": 0,
145 "budgetInvestmentAreaId": 0
146 }
147 ],
148 "investmentRequest": {
149 "id": 0,
150 "createdOn": "2019-08-24T14:15:22Z",
151 "createdById": "string",
152 "modifiedOn": "2019-08-24T14:15:22Z",
153 "modifiedById": "string",
154 "createdByName": "string",
155 "lastModifiedByName": "string",
156 "requestedAmount": 0,
157 "companyCurrency": "string",
158 "investmentAreaIds": [
159 0
160 ],
161 "requestCategoryId": 0,
162 "displayId": "string",
163 "leaseAreaId": 0,
164 "leaseAreaDisplayId": "string",
165 "leaseAreaName": "string",
166 "businessUnitId": 0,
167 "businessUnitDisplayId": "string",
168 "companyId": 0,
169 "companyDisplayId": "string",
170 "departmentId": 0,
171 "departmentDisplayId": "string",
172 "title": "string",
173 "investmentCurrencyId": 0,
174 "investmentCurrencyDisplayId": "string",
175 "companyCurrencyId": 0,
176 "companyCurrencyDisplayId": "string",
177 "reportingCurrencyId": 0,
178 "reportingCurrencyDisplayId": "string",
179 "masterInvestmentRequestId": 0,
180 "inceptionExchangeRate": 0,
181 "exchangeRateValidFrom": "2019-08-24",
182 "weightedAverageExchangeRate": 0,
183 "status": "DRAFT",
184 "workflowStepName": "string",
185 "description": "string",
186 "justification": "string",
187 "totalRequestedAmount": 0,
188 "totalExpense": 0,
189 "totalSpent": 0,
190 "originalRequestedAmount": 0,
191 "modifiedAmount": 0,
192 "currentAvailable": 0,
193 "modificationId": 0,
194 "requestCategory": {
195 "id": 0,
196 "createdOn": "2019-08-24T14:15:22Z",
197 "createdById": "string",
198 "modifiedOn": "2019-08-24T14:15:22Z",
199 "modifiedById": "string",
200 "createdByName": "string",
201 "lastModifiedByName": "string",
202 "displayId": "string",
203 "title": "string",
204 "subTitle": "string",
205 "icon": "string",
206 "budgetTitle": "string",
207 "budgetSubTitle": "string",
208 "investmentTitle": "string",
209 "investmentSubTitle": "string"
210 },
211 "expectedInitiationDate": "2019-08-24",
212 "expectedCompletionDate": "2019-08-24",
213 "actualInitiationDate": "2019-08-24",
214 "actualCompletionDate": "2019-08-24",
215 "requestUrgency": "string",
216 "leaseArea": {
217 "id": 0,
218 "status": "CREATED",
219 "displayId": "string",
220 "name": "string",
221 "businessUnitId": 0
222 },
223 "businessUnit": {
224 "id": 0,
225 "status": "CREATED",
226 "displayId": "string",
227 "name": "string",
228 "leaseAreaId": 0,
229 "companyId": 0
230 },
231 "company": {
232 "id": 0,
233 "status": "CREATED",
234 "displayId": "string",
235 "erpSystemId": 0,
236 "erpSystemDisplayId": "string",
237 "countryId": 0,
238 "countryDisplayId": "string",
239 "postingPeriodVariantId": 0,
240 "name": "string",
241 "postingPeriodVariantDisplayId": "string",
242 "controllingAreaId": 0,
243 "controllingAreaDisplayId": "string",
244 "chartOfAccountId": 0,
245 "chartOfAccountDisplayId": "string",
246 "fiscalVariantId": 0,
247 "fiscalVariantDisplayId": "string",
248 "chartOfDepreciationId": 0,
249 "chartOfDepreciationDisplayId": "string",
250 "purchasingOrganizationId": 0,
251 "assetId": 0,
252 "exchangeRateTypeId": 0,
253 "plantId": 0,
254 "incrementalBorrowingRateId": 0,
255 "businessUnitId": 0,
256 "projectId": 0,
257 "transferVariantId": 0,
258 "partnerId": 0,
259 "departmentId": 0,
260 "accountingStandardId": 0,
261 "generalLedgerAccountId": 0,
262 "consumerPriceIndexCategoryId": 0,
263 "costCenterId": 0,
264 "costCenterRelationValidFrom": "2019-08-24",
265 "costCenterRelationValidTo": "2019-08-24"
266 },
267 "department": {
268 "id": 0,
269 "status": "CREATED",
270 "displayId": "string",
271 "name": "string",
272 "companyId": 0,
273 "leaseGroupId": 0
274 },
275 "linkedBudgets": [
276 {
277 "id": 0,
278 "createdOn": "2019-08-24T14:15:22Z",
279 "createdById": "string",
280 "modifiedOn": "2019-08-24T14:15:22Z",
281 "modifiedById": "string",
282 "createdByName": "string",
283 "lastModifiedByName": "string",
284 "requestCategoryId": 0,
285 "year": 0,
286 "displayId": "string",
287 "project": "string",
288 "requestCategory": {
289 "id": 0,
290 "createdOn": "2019-08-24T14:15:22Z",
291 "createdById": "string",
292 "modifiedOn": "2019-08-24T14:15:22Z",
293 "modifiedById": "string",
294 "createdByName": "string",
295 "lastModifiedByName": "string",
296 "displayId": "string",
297 "title": "string",
298 "subTitle": "string",
299 "icon": "string",
300 "budgetTitle": "string",
301 "budgetSubTitle": "string",
302 "investmentTitle": "string",
303 "investmentSubTitle": "string"
304 }
305 }
306 ],
307 "investmentRequestToInvestmentAreaIdsLinkedToBudget": [
308 0
309 ]
310 },
311 "investmentRequests": [
312 {
313 "id": 0,
314 "createdOn": "2019-08-24T14:15:22Z",
315 "createdById": "string",
316 "modifiedOn": "2019-08-24T14:15:22Z",
317 "modifiedById": "string",
318 "createdByName": "string",
319 "lastModifiedByName": "string",
320 "requestedAmount": 0,
321 "companyCurrency": "string",
322 "investmentAreaIds": [
323 0
324 ],
325 "requestCategoryId": 0,
326 "displayId": "string",
327 "leaseAreaId": 0,
328 "leaseAreaDisplayId": "string",
329 "leaseAreaName": "string",
330 "businessUnitId": 0,
331 "businessUnitDisplayId": "string",
332 "companyId": 0,
333 "companyDisplayId": "string",
334 "departmentId": 0,
335 "departmentDisplayId": "string",
336 "title": "string",
337 "investmentCurrencyId": 0,
338 "investmentCurrencyDisplayId": "string",
339 "companyCurrencyId": 0,
340 "companyCurrencyDisplayId": "string",
341 "reportingCurrencyId": 0,
342 "reportingCurrencyDisplayId": "string",
343 "masterInvestmentRequestId": 0,
344 "inceptionExchangeRate": 0,
345 "exchangeRateValidFrom": "2019-08-24",
346 "weightedAverageExchangeRate": 0,
347 "status": "DRAFT",
348 "workflowStepName": "string",
349 "description": "string",
350 "justification": "string",
351 "totalRequestedAmount": 0,
352 "totalExpense": 0,
353 "totalSpent": 0,
354 "originalRequestedAmount": 0,
355 "modifiedAmount": 0,
356 "currentAvailable": 0,
357 "modificationId": 0,
358 "requestCategory": {
359 "id": 0,
360 "createdOn": "2019-08-24T14:15:22Z",
361 "createdById": "string",
362 "modifiedOn": "2019-08-24T14:15:22Z",
363 "modifiedById": "string",
364 "createdByName": "string",
365 "lastModifiedByName": "string",
366 "displayId": "string",
367 "title": "string",
368 "subTitle": "string",
369 "icon": "string",
370 "budgetTitle": "string",
371 "budgetSubTitle": "string",
372 "investmentTitle": "string",
373 "investmentSubTitle": "string"
374 },
375 "expectedInitiationDate": "2019-08-24",
376 "expectedCompletionDate": "2019-08-24",
377 "actualInitiationDate": "2019-08-24",
378 "actualCompletionDate": "2019-08-24",
379 "requestUrgency": "string",
380 "leaseArea": {
381 "id": 0,
382 "status": "CREATED",
383 "displayId": "string",
384 "name": "string",
385 "businessUnitId": 0
386 },
387 "businessUnit": {
388 "id": 0,
389 "status": "CREATED",
390 "displayId": "string",
391 "name": "string",
392 "leaseAreaId": 0,
393 "companyId": 0
394 },
395 "company": {
396 "id": 0,
397 "status": "CREATED",
398 "displayId": "string",
399 "erpSystemId": 0,
400 "erpSystemDisplayId": "string",
401 "countryId": 0,
402 "countryDisplayId": "string",
403 "postingPeriodVariantId": 0,
404 "name": "string",
405 "postingPeriodVariantDisplayId": "string",
406 "controllingAreaId": 0,
407 "controllingAreaDisplayId": "string",
408 "chartOfAccountId": 0,
409 "chartOfAccountDisplayId": "string",
410 "fiscalVariantId": 0,
411 "fiscalVariantDisplayId": "string",
412 "chartOfDepreciationId": 0,
413 "chartOfDepreciationDisplayId": "string",
414 "purchasingOrganizationId": 0,
415 "assetId": 0,
416 "exchangeRateTypeId": 0,
417 "plantId": 0,
418 "incrementalBorrowingRateId": 0,
419 "businessUnitId": 0,
420 "projectId": 0,
421 "transferVariantId": 0,
422 "partnerId": 0,
423 "departmentId": 0,
424 "accountingStandardId": 0,
425 "generalLedgerAccountId": 0,
426 "consumerPriceIndexCategoryId": 0,
427 "costCenterId": 0,
428 "costCenterRelationValidFrom": "2019-08-24",
429 "costCenterRelationValidTo": "2019-08-24"
430 },
431 "department": {
432 "id": 0,
433 "status": "CREATED",
434 "displayId": "string",
435 "name": "string",
436 "companyId": 0,
437 "leaseGroupId": 0
438 },
439 "linkedBudgets": [
440 {
441 "id": 0,
442 "createdOn": "2019-08-24T14:15:22Z",
443 "createdById": "string",
444 "modifiedOn": "2019-08-24T14:15:22Z",
445 "modifiedById": "string",
446 "createdByName": "string",
447 "lastModifiedByName": "string",
448 "requestCategoryId": 0,
449 "year": 0,
450 "displayId": "string",
451 "project": "string",
452 "requestCategory": {}
453 }
454 ],
455 "investmentRequestToInvestmentAreaIdsLinkedToBudget": [
456 0
457 ]
458 }
459 ],
460 "totalSpent": 0,
461 "totalReserved": 0,
462 "budgetBalance": 0
463 },
464 "nimInvestmentAreaDto": {
465 "id": 0,
466 "createdOn": "2019-08-24T14:15:22Z",
467 "createdById": "string",
468 "modifiedOn": "2019-08-24T14:15:22Z",
469 "modifiedById": "string",
470 "createdByName": "string",
471 "lastModifiedByName": "string",
472 "displayId": "string",
473 "name": "string",
474 "assetClasses": [
475 0
476 ]
477 }
478 }
479 ]
480 }
481 }
482]
Response Schema
Status Code 200
Name |
Type |
Required |
Restrictions |
Description |
|---|---|---|---|---|
anonymous |
false |
none |
[Data transfer object representing the allocation of budget resources within the Nakisa Portfolio Management Suite, facilitating effective financial planning and analysis for portfolios, assets, and real estate properties.] |
|
» createdBy |
string |
false |
none |
Username of who created this resource |
» lastModifiedBy |
string |
false |
none |
Username of who last modified this resource |
» createdDate |
string(date-time) |
false |
none |
Date of the created |
» lastModifiedDate |
string(date-time) |
false |
none |
Date of the last modified |
» archived |
boolean |
false |
none |
Boolean flag indicating archived status |
» externalId |
string |
false |
none |
Unique identifier for the external |
» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
» allocatedAmount |
number |
false |
none |
Amount of allocated |
» projectId |
integer(int64) |
true |
none |
Unique identifier for the project |
» projectName |
string |
false |
none |
Name of the project |
» projectDisplayId |
string |
false |
none |
Unique identifier for the project display |
» budgetId |
integer(int64) |
false |
none |
Unique identifier for the budget |
» budgetDto |
false |
none |
Data transfer object representing a budget allocation within the Nakisa Portfolio Management Suite, encompassing financial insights and analytics related to portfolio and asset management for real estate properties. |
|
»» createdBy |
string |
false |
none |
Username of who created this resource |
»» lastModifiedBy |
string |
false |
none |
Username of who last modified this resource |
»» createdDate |
string(date-time) |
false |
none |
Date of the created |
»» lastModifiedDate |
string(date-time) |
false |
none |
Date of the last modified |
»» archived |
boolean |
false |
none |
Boolean flag indicating archived status |
»» externalId |
string |
false |
none |
Unique identifier for the external |
»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»» name |
string |
false |
none |
Name of the resource |
»» startDate |
string(date) |
false |
none |
Start date of the resource |
»» dueDate |
string(date) |
false |
none |
Due date of the resource |
»» departmentId |
integer(int64) |
false |
none |
Unique identifier for the department |
»» statusId |
integer(int64) |
false |
none |
Unique identifier for the status |
»» totalBudgetAmount |
number |
false |
none |
Amount of total budget |
»» allocatedBudgetAmount |
number |
false |
none |
Amount of allocated budget |
»» owner |
string |
false |
none |
Identifies the individual or entity responsible for managing the budget within the Nakisa Portfolio Management Suite, facilitating effective oversight of portfolio, asset, and real estate property analytics. |
»» status |
false |
none |
Data transfer object representing an option within a pick list, utilized for categorizing and managing portfolio assets and analytics in the Nakisa Portfolio Management Suite, particularly in the context of real estate property management. |
|
»»» createdBy |
string |
false |
none |
Username of who created this resource |
»»» lastModifiedBy |
string |
false |
none |
Username of who last modified this resource |
»»» createdDate |
string(date-time) |
false |
none |
Date of the created |
»»» lastModifiedDate |
string(date-time) |
false |
none |
Date of the last modified |
»»» archived |
boolean |
false |
none |
Boolean flag indicating archived status |
»»» externalId |
string |
false |
none |
Unique identifier for the external |
»»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»»» priority |
integer(int64) |
false |
none |
Priority of the resource |
»»» internalId |
integer(int64) |
false |
none |
Unique identifier for the internal |
»»» pickListCode |
string |
false |
none |
Code for the pick list |
»»» pickListLabel |
string |
false |
none |
Label for the pick list |
»»» label |
string |
false |
none |
Label for the resource |
»»» cultureId |
integer(int64) |
false |
none |
Unique identifier for the culture |
»»» labelDtos |
false |
none |
List of labelDtos items |
|
»»»» createdBy |
string |
false |
none |
Username of who created this resource |
»»»» lastModifiedBy |
string |
false |
none |
Username of who last modified this resource |
»»»» createdDate |
string(date-time) |
false |
none |
Date of the created |
»»»» lastModifiedDate |
string(date-time) |
false |
none |
Date of the last modified |
»»»» archived |
boolean |
false |
none |
Boolean flag indicating archived status |
»»»» externalId |
string |
false |
none |
Unique identifier for the external |
»»»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»»»» cultureId |
integer(int64) |
false |
none |
Unique identifier for the culture |
»»»» value |
string |
true |
none |
Represents the descriptive value associated with a portfolio asset, facilitating analytics and insights within the Nakisa Portfolio Management Suite. |
»» department |
false |
none |
Data transfer object representing an option within a pick list, utilized for categorizing and managing portfolio assets and analytics in the Nakisa Portfolio Management Suite, particularly in the context of real estate property management. |
|
»» nimBudgetLinkDtos |
false |
none |
List of nimBudgetLinkDtos items |
|
»»» createdBy |
string |
false |
none |
Username of who created this resource |
»»» lastModifiedBy |
string |
false |
none |
Username of who last modified this resource |
»»» createdDate |
string(date-time) |
false |
none |
Date of the created |
»»» lastModifiedDate |
string(date-time) |
false |
none |
Date of the last modified |
»»» archived |
boolean |
false |
none |
Boolean flag indicating archived status |
»»» externalId |
string |
false |
none |
Unique identifier for the external |
»»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»»» nimBudgetId |
integer(int64) |
false |
none |
Unique identifier for the nim budget |
»»» nimInvestmentAreaId |
integer(int64) |
false |
none |
Unique identifier for the nim investment area |
»»» nimBudgetDto |
false |
none |
Data transfer object representing a budget allocation within the Nakisa Portfolio Management Suite, encompassing financial insights and analytics related to portfolio and asset management for real estate properties. |
|
»»» nimBudgetInvestmentAreaDto |
false |
none |
Data transfer object representing the allocation of budget investments within specific areas of a portfolio, facilitating enhanced asset management and analytics for real estate properties in the Nakisa Portfolio Management Suite. |
|
»»»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»»»» createdOn |
string(date-time) |
false |
none |
Timestamp indicating when the budget investment area was created, providing essential context for portfolio and asset analytics within the Nakisa Portfolio Management Suite. |
»»»» createdById |
string |
false |
none |
Unique identifier for the created by |
»»»» modifiedOn |
string(date-time) |
false |
none |
Timestamp indicating the last modification date of the Budget Investment Area, facilitating tracking and analytics within the Nakisa Portfolio Management Suite. |
»»»» modifiedById |
string |
false |
none |
Unique identifier for the modified by |
»»»» createdByName |
string |
false |
none |
Name of the created by |
»»»» lastModifiedByName |
string |
false |
none |
Name of the last modified by |
»»»» amount |
number |
false |
none |
Amount value |
»»»» originalCurrencyId |
integer(int64) |
false |
none |
Unique identifier for the original currency |
»»»» originalCurrencyDisplayId |
string |
false |
none |
Unique identifier for the original currency display |
»»»» originalAmount |
number |
false |
none |
Amount of original |
»»»» rate |
number |
false |
none |
Rate value |
»»»» rateDate |
string(date) |
false |
none |
Date of the rate |
»»»» investmentAreaId |
integer(int64) |
false |
none |
Unique identifier for the investment area |
»»»» investmentArea |
false |
none |
Data transfer object representing an investment area within the Nakisa Portfolio Management Suite, encompassing key attributes related to portfolio analysis, asset management, and real estate property analytics. |
|
»»»»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»»»»» createdOn |
string(date-time) |
false |
none |
Timestamp indicating when the investment area was created, providing essential context for portfolio and asset analytics within the Nakisa Portfolio Management Suite. |
»»»»» createdById |
string |
false |
none |
Unique identifier for the created by |
»»»»» modifiedOn |
string(date-time) |
false |
none |
Timestamp indicating the last modification date and time of the investment area, relevant for tracking changes in portfolio and asset analytics within the Nakisa Portfolio Management Suite. |
»»»»» modifiedById |
string |
false |
none |
Unique identifier for the modified by |
»»»»» createdByName |
string |
false |
none |
Name of the created by |
»»»»» lastModifiedByName |
string |
false |
none |
Name of the last modified by |
»»»»» displayId |
string |
false |
none |
Unique identifier for the display |
»»»»» name |
string |
false |
none |
Name of the resource |
»»»»» assetClasses |
[integer] |
false |
none |
List of assetClasses items |
»»»» budgetYearDistributions |
false |
none |
List of budgetYearDistributions items |
|
»»»»» id |
integer(int64) |
false |
none |
none |
»»»»» createdOn |
string(date-time) |
false |
none |
none |
»»»»» createdById |
string |
false |
none |
none |
»»»»» modifiedOn |
string(date-time) |
false |
none |
none |
»»»»» modifiedById |
string |
false |
none |
none |
»»»»» createdByName |
string |
false |
none |
none |
»»»»» lastModifiedByName |
string |
false |
none |
none |
»»»»» year |
integer(int32) |
false |
none |
none |
»»»»» amount |
number |
false |
none |
none |
»»»»» originalCurrencyId |
integer(int64) |
false |
none |
none |
»»»»» originalCurrencyDisplayId |
string |
false |
none |
none |
»»»»» originalAmount |
number |
false |
none |
none |
»»»»» rate |
number |
false |
none |
none |
»»»»» rateDate |
string(date) |
false |
none |
none |
»»»»» spent |
number |
false |
none |
none |
»»»»» budgetInvestmentAreaId |
integer(int64) |
false |
none |
none |
»»»» investmentRequest |
false |
none |
none |
|
»»»»» id |
integer(int64) |
false |
none |
none |
»»»»» createdOn |
string(date-time) |
false |
none |
none |
»»»»» createdById |
string |
false |
none |
none |
»»»»» modifiedOn |
string(date-time) |
false |
none |
none |
»»»»» modifiedById |
string |
false |
none |
none |
»»»»» createdByName |
string |
false |
none |
none |
»»»»» lastModifiedByName |
string |
false |
none |
none |
»»»»» requestedAmount |
number |
false |
none |
none |
»»»»» companyCurrency |
string |
false |
none |
none |
»»»»» investmentAreaIds |
[integer] |
false |
none |
none |
»»»»» requestCategoryId |
integer(int64) |
false |
none |
none |
»»»»» displayId |
string |
false |
none |
none |
»»»»» leaseAreaId |
integer(int64) |
false |
none |
none |
»»»»» leaseAreaDisplayId |
string |
false |
none |
none |
»»»»» leaseAreaName |
string |
false |
none |
none |
»»»»» businessUnitId |
integer(int64) |
false |
none |
none |
»»»»» businessUnitDisplayId |
string |
false |
none |
none |
»»»»» companyId |
integer(int64) |
false |
none |
none |
»»»»» companyDisplayId |
string |
false |
none |
none |
»»»»» departmentId |
integer(int64) |
false |
none |
none |
»»»»» departmentDisplayId |
string |
false |
none |
none |
»»»»» title |
string |
false |
none |
none |
»»»»» investmentCurrencyId |
integer(int64) |
false |
none |
none |
»»»»» investmentCurrencyDisplayId |
string |
false |
none |
none |
»»»»» companyCurrencyId |
integer(int64) |
false |
none |
none |
»»»»» companyCurrencyDisplayId |
string |
false |
none |
none |
»»»»» reportingCurrencyId |
integer(int64) |
false |
none |
none |
»»»»» reportingCurrencyDisplayId |
string |
false |
none |
none |
»»»»» masterInvestmentRequestId |
integer(int64) |
false |
none |
none |
»»»»» inceptionExchangeRate |
number |
false |
none |
none |
»»»»» exchangeRateValidFrom |
string(date) |
false |
none |
none |
»»»»» weightedAverageExchangeRate |
number |
false |
none |
none |
»»»»» status |
string |
false |
none |
none |
»»»»» workflowStepName |
string |
false |
none |
none |
»»»»» description |
string |
false |
none |
none |
»»»»» justification |
string |
false |
none |
none |
»»»»» totalRequestedAmount |
number |
false |
none |
none |
»»»»» totalExpense |
number |
false |
none |
none |
»»»»» totalSpent |
number |
false |
none |
none |
»»»»» originalRequestedAmount |
number |
false |
none |
none |
»»»»» modifiedAmount |
number |
false |
none |
none |
»»»»» currentAvailable |
number |
false |
none |
none |
»»»»» modificationId |
integer(int64) |
false |
none |
none |
»»»»» requestCategory |
false |
none |
none |
|
»»»»»» id |
integer(int64) |
false |
none |
none |
»»»»»» createdOn |
string(date-time) |
false |
none |
none |
»»»»»» createdById |
string |
false |
none |
none |
»»»»»» modifiedOn |
string(date-time) |
false |
none |
none |
»»»»»» modifiedById |
string |
false |
none |
none |
»»»»»» createdByName |
string |
false |
none |
none |
»»»»»» lastModifiedByName |
string |
false |
none |
none |
»»»»»» displayId |
string |
false |
none |
none |
»»»»»» title |
string |
false |
none |
none |
»»»»»» subTitle |
string |
false |
none |
none |
»»»»»» icon |
string |
false |
none |
none |
»»»»»» budgetTitle |
string |
false |
none |
none |
»»»»»» budgetSubTitle |
string |
false |
none |
none |
»»»»»» investmentTitle |
string |
false |
none |
none |
»»»»»» investmentSubTitle |
string |
false |
none |
none |
»»»»» expectedInitiationDate |
string(date) |
false |
none |
none |
»»»»» expectedCompletionDate |
string(date) |
false |
none |
none |
»»»»» actualInitiationDate |
string(date) |
false |
none |
none |
»»»»» actualCompletionDate |
string(date) |
false |
none |
none |
»»»»» requestUrgency |
string |
false |
none |
none |
»»»»» leaseArea |
false |
none |
Data transfer object representing a defined lease area within the Nakisa Portfolio Management Suite, encapsulating essential details for portfolio analysis and asset management in the real estate sector. |
|
»»»»»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»»»»»» status |
string |
false |
none |
Status of the resource |
»»»»»» displayId |
string |
true |
none |
Unique identifier for the display |
»»»»»» name |
string |
true |
none |
Name of the resource |
»»»»»» businessUnitId |
integer(int64) |
false |
none |
Unique identifier for the business unit |
»»»»» businessUnit |
false |
none |
Data transfer object representing a business unit within the Nakisa Portfolio Management Suite, encapsulating essential information related to portfolio management, asset tracking, analytics, and real estate properties. |
|
»»»»»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»»»»»» status |
string |
false |
none |
Status of the resource |
»»»»»» displayId |
string |
true |
none |
Unique identifier for the display |
»»»»»» name |
string |
true |
none |
Name of the resource |
»»»»»» leaseAreaId |
integer(int64) |
false |
none |
Unique identifier for the lease area |
»»»»»» companyId |
integer(int64) |
false |
none |
Unique identifier for the company |
»»»»» company |
false |
none |
Data transfer object representing a company within the Nakisa Portfolio Management Suite, encapsulating essential information related to portfolio assets, analytics, and real estate properties. |
|
»»»»»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»»»»»» status |
string |
false |
none |
Status of the resource |
»»»»»» displayId |
string |
true |
none |
Unique identifier for the display |
»»»»»» erpSystemId |
integer(int64) |
false |
none |
Unique identifier for the erp system |
»»»»»» erpSystemDisplayId |
string |
false |
none |
Unique identifier for the erp system display |
»»»»»» countryId |
integer(int64) |
false |
none |
Unique identifier for the country |
»»»»»» countryDisplayId |
string |
false |
none |
Unique identifier for the country display |
»»»»»» postingPeriodVariantId |
integer(int64) |
false |
none |
Unique identifier for the posting period variant |
»»»»»» name |
string |
false |
none |
none |
»»»»»» postingPeriodVariantDisplayId |
string |
false |
none |
Unique identifier for the posting period variant display |
»»»»»» controllingAreaId |
integer(int64) |
false |
none |
Unique identifier for the controlling area |
»»»»»» controllingAreaDisplayId |
string |
false |
none |
Unique identifier for the controlling area display |
»»»»»» chartOfAccountId |
integer(int64) |
false |
none |
Unique identifier for the chart of account |
»»»»»» chartOfAccountDisplayId |
string |
false |
none |
Unique identifier for the chart of account display |
»»»»»» fiscalVariantId |
integer(int64) |
false |
none |
Unique identifier for the fiscal variant |
»»»»»» fiscalVariantDisplayId |
string |
false |
none |
Unique identifier for the fiscal variant display |
»»»»»» chartOfDepreciationId |
integer(int64) |
false |
none |
Unique identifier for the chart of depreciation |
»»»»»» chartOfDepreciationDisplayId |
string |
false |
none |
Unique identifier for the chart of depreciation display |
»»»»»» purchasingOrganizationId |
integer(int64) |
false |
none |
Unique identifier for the purchasing organization |
»»»»»» assetId |
integer(int64) |
false |
none |
Unique identifier for the asset |
»»»»»» exchangeRateTypeId |
integer(int64) |
false |
none |
Unique identifier for the exchange rate type |
»»»»»» plantId |
integer(int64) |
false |
none |
Unique identifier for the plant |
»»»»»» incrementalBorrowingRateId |
integer(int64) |
false |
none |
Unique identifier for the incremental borrowing rate |
»»»»»» businessUnitId |
integer(int64) |
false |
none |
Unique identifier for the business unit |
»»»»»» projectId |
integer(int64) |
false |
none |
Unique identifier for the project |
»»»»»» transferVariantId |
integer(int64) |
false |
none |
Unique identifier for the transfer variant |
»»»»»» partnerId |
integer(int64) |
false |
none |
Unique identifier for the partner |
»»»»»» departmentId |
integer(int64) |
false |
none |
Unique identifier for the department |
»»»»»» accountingStandardId |
integer(int64) |
false |
none |
Unique identifier for the accounting standard |
»»»»»» generalLedgerAccountId |
integer(int64) |
false |
none |
Unique identifier for the general ledger account |
»»»»»» consumerPriceIndexCategoryId |
integer(int64) |
false |
none |
Unique identifier for the consumer price index category |
»»»»»» costCenterId |
integer(int64) |
false |
none |
Unique identifier for the cost center |
»»»»»» costCenterRelationValidFrom |
string(date) |
false |
none |
Indicates the effective date from which the cost center relationship is valid, facilitating accurate portfolio and asset analytics within the Nakisa Portfolio Management Suite. |
»»»»»» costCenterRelationValidTo |
string(date) |
false |
none |
Indicates the expiration date of the cost center relationship, essential for managing portfolio and asset allocations within the Nakisa Portfolio Management Suite. |
»»»»» department |
false |
none |
none |
|
»»»»»» id |
integer(int64) |
false |
none |
none |
»»»»»» status |
string |
false |
none |
none |
»»»»»» displayId |
string |
true |
none |
none |
»»»»»» name |
string |
true |
none |
none |
»»»»»» companyId |
integer(int64) |
false |
none |
none |
»»»»»» leaseGroupId |
integer(int64) |
false |
none |
none |
»»»»» linkedBudgets |
false |
none |
none |
|
»»»»»» id |
integer(int64) |
false |
none |
none |
»»»»»» createdOn |
string(date-time) |
false |
none |
none |
»»»»»» createdById |
string |
false |
none |
none |
»»»»»» modifiedOn |
string(date-time) |
false |
none |
none |
»»»»»» modifiedById |
string |
false |
none |
none |
»»»»»» createdByName |
string |
false |
none |
none |
»»»»»» lastModifiedByName |
string |
false |
none |
none |
»»»»»» requestCategoryId |
integer(int64) |
false |
none |
none |
»»»»»» year |
integer(int32) |
false |
none |
none |
»»»»»» displayId |
string |
false |
none |
none |
»»»»»» project |
string |
false |
none |
none |
»»»»»» requestCategory |
false |
none |
none |
|
»»»»» investmentRequestToInvestmentAreaIdsLinkedToBudget |
[integer] |
false |
none |
none |
»»»» investmentRequests |
false |
none |
none |
|
»»»» totalSpent |
number |
false |
none |
Value for totalSpent field |
»»»» totalReserved |
number |
false |
none |
Value for totalReserved field |
»»»» budgetBalance |
number |
false |
none |
Value for budgetBalance field |
»»» nimInvestmentAreaDto |
false |
none |
Data transfer object representing an investment area within the Nakisa Portfolio Management Suite, encompassing key attributes related to portfolio analysis, asset management, and real estate property analytics. |
Enumerated Values
Attribute |
Value |
|---|---|
status |
ACTIVE, APPROVED, CREATED, DECOMMISSIONED, DISABLED, DRAFT, MODIFICATION, REJECTED, REWORK, SUBMITTED |
Budget Allocation - Create Budget Allocation¶
HTTP Request
POST /api/budget-allocations
📋 Description: Creates new budget allocations for assets within the Nakisa Portfolio Management Suite, enabling enhanced financial oversight and analytics for real estate properties and portfolios.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
Request body containing budget allocation details, including portfolio identifiers, asset specifications, and associated analytics for real estate property management. |
Body Parameters
1{
2 "createdBy": "string",
3 "lastModifiedBy": "string",
4 "createdDate": "2019-08-24T14:15:22Z",
5 "lastModifiedDate": "2019-08-24T14:15:22Z",
6 "archived": true,
7 "externalId": "string",
8 "id": 0,
9 "allocatedAmount": 0,
10 "projectId": 0,
11 "projectName": "string",
12 "projectDisplayId": "string",
13 "budgetId": 0,
14 "budgetDto": {
15 "createdBy": "string",
16 "lastModifiedBy": "string",
17 "createdDate": "2019-08-24T14:15:22Z",
18 "lastModifiedDate": "2019-08-24T14:15:22Z",
19 "archived": true,
20 "externalId": "string",
21 "id": 0,
22 "name": "string",
23 "startDate": "2019-08-24",
24 "dueDate": "2019-08-24",
25 "departmentId": 0,
26 "statusId": 0,
27 "totalBudgetAmount": 0,
28 "allocatedBudgetAmount": 0,
29 "owner": "string",
30 "status": {
31 "createdBy": "string",
32 "lastModifiedBy": "string",
33 "createdDate": "2019-08-24T14:15:22Z",
34 "lastModifiedDate": "2019-08-24T14:15:22Z",
35 "archived": true,
36 "externalId": "string",
37 "id": 0,
38 "priority": 0,
39 "internalId": 0,
40 "pickListCode": "string",
41 "pickListLabel": "string",
42 "label": "string",
43 "cultureId": 0,
44 "labelDtos": [
45 {
46 "createdBy": "string",
47 "lastModifiedBy": "string",
48 "createdDate": "2019-08-24T14:15:22Z",
49 "lastModifiedDate": "2019-08-24T14:15:22Z",
50 "archived": true,
51 "externalId": "string",
52 "id": 0,
53 "cultureId": 0,
54 "value": "string"
55 }
56 ]
57 },
58 "department": {
59 "createdBy": "string",
60 "lastModifiedBy": "string",
61 "createdDate": "2019-08-24T14:15:22Z",
62 "lastModifiedDate": "2019-08-24T14:15:22Z",
63 "archived": true,
64 "externalId": "string",
65 "id": 0,
66 "priority": 0,
67 "internalId": 0,
68 "pickListCode": "string",
69 "pickListLabel": "string",
70 "label": "string",
71 "cultureId": 0,
72 "labelDtos": [
73 {
74 "createdBy": "string",
75 "lastModifiedBy": "string",
76 "createdDate": "2019-08-24T14:15:22Z",
77 "lastModifiedDate": "2019-08-24T14:15:22Z",
78 "archived": true,
79 "externalId": "string",
80 "id": 0,
81 "cultureId": 0,
82 "value": "string"
83 }
84 ]
85 },
86 "nimBudgetLinkDtos": [
87 {
88 "createdBy": "string",
89 "lastModifiedBy": "string",
90 "createdDate": "2019-08-24T14:15:22Z",
91 "lastModifiedDate": "2019-08-24T14:15:22Z",
92 "archived": true,
93 "externalId": "string",
94 "id": 0,
95 "nimBudgetId": 0,
96 "nimInvestmentAreaId": 0,
97 "nimBudgetDto": {},
98 "nimBudgetInvestmentAreaDto": {
99 "id": 0,
100 "createdOn": "2019-08-24T14:15:22Z",
101 "createdById": "string",
102 "modifiedOn": "2019-08-24T14:15:22Z",
103 "modifiedById": "string",
104 "createdByName": "string",
105 "lastModifiedByName": "string",
106 "amount": 0,
107 "originalCurrencyId": 0,
108 "originalCurrencyDisplayId": "string",
109 "originalAmount": 0,
110 "rate": 0,
111 "rateDate": "2019-08-24",
112 "investmentAreaId": 0,
113 "investmentArea": {
114 "id": 0,
115 "createdOn": "2019-08-24T14:15:22Z",
116 "createdById": "string",
117 "modifiedOn": "2019-08-24T14:15:22Z",
118 "modifiedById": "string",
119 "createdByName": "string",
120 "lastModifiedByName": "string",
121 "displayId": "string",
122 "name": "string",
123 "assetClasses": [
124 0
125 ]
126 },
127 "budgetYearDistributions": [
128 {
129 "id": 0,
130 "createdOn": "2019-08-24T14:15:22Z",
131 "createdById": "string",
132 "modifiedOn": "2019-08-24T14:15:22Z",
133 "modifiedById": "string",
134 "createdByName": "string",
135 "lastModifiedByName": "string",
136 "year": 0,
137 "amount": 0,
138 "originalCurrencyId": 0,
139 "originalCurrencyDisplayId": "string",
140 "originalAmount": 0,
141 "rate": 0,
142 "rateDate": "2019-08-24",
143 "spent": 0,
144 "budgetInvestmentAreaId": 0
145 }
146 ],
147 "investmentRequest": {
148 "id": 0,
149 "createdOn": "2019-08-24T14:15:22Z",
150 "createdById": "string",
151 "modifiedOn": "2019-08-24T14:15:22Z",
152 "modifiedById": "string",
153 "createdByName": "string",
154 "lastModifiedByName": "string",
155 "requestedAmount": 0,
156 "companyCurrency": "string",
157 "investmentAreaIds": [
158 0
159 ],
160 "requestCategoryId": 0,
161 "displayId": "string",
162 "leaseAreaId": 0,
163 "leaseAreaDisplayId": "string",
164 "leaseAreaName": "string",
165 "businessUnitId": 0,
166 "businessUnitDisplayId": "string",
167 "companyId": 0,
168 "companyDisplayId": "string",
169 "departmentId": 0,
170 "departmentDisplayId": "string",
171 "title": "string",
172 "investmentCurrencyId": 0,
173 "investmentCurrencyDisplayId": "string",
174 "companyCurrencyId": 0,
175 "companyCurrencyDisplayId": "string",
176 "reportingCurrencyId": 0,
177 "reportingCurrencyDisplayId": "string",
178 "masterInvestmentRequestId": 0,
179 "inceptionExchangeRate": 0,
180 "exchangeRateValidFrom": "2019-08-24",
181 "weightedAverageExchangeRate": 0,
182 "status": "DRAFT",
183 "workflowStepName": "string",
184 "description": "string",
185 "justification": "string",
186 "totalRequestedAmount": 0,
187 "totalExpense": 0,
188 "totalSpent": 0,
189 "originalRequestedAmount": 0,
190 "modifiedAmount": 0,
191 "currentAvailable": 0,
192 "modificationId": 0,
193 "requestCategory": {
194 "id": 0,
195 "createdOn": "2019-08-24T14:15:22Z",
196 "createdById": "string",
197 "modifiedOn": "2019-08-24T14:15:22Z",
198 "modifiedById": "string",
199 "createdByName": "string",
200 "lastModifiedByName": "string",
201 "displayId": "string",
202 "title": "string",
203 "subTitle": "string",
204 "icon": "string",
205 "budgetTitle": "string",
206 "budgetSubTitle": "string",
207 "investmentTitle": "string",
208 "investmentSubTitle": "string"
209 },
210 "expectedInitiationDate": "2019-08-24",
211 "expectedCompletionDate": "2019-08-24",
212 "actualInitiationDate": "2019-08-24",
213 "actualCompletionDate": "2019-08-24",
214 "requestUrgency": "string",
215 "leaseArea": {
216 "id": 0,
217 "status": "CREATED",
218 "displayId": "string",
219 "name": "string",
220 "businessUnitId": 0
221 },
222 "businessUnit": {
223 "id": 0,
224 "status": "CREATED",
225 "displayId": "string",
226 "name": "string",
227 "leaseAreaId": 0,
228 "companyId": 0
229 },
230 "company": {
231 "id": 0,
232 "status": "CREATED",
233 "displayId": "string",
234 "erpSystemId": 0,
235 "erpSystemDisplayId": "string",
236 "countryId": 0,
237 "countryDisplayId": "string",
238 "postingPeriodVariantId": 0,
239 "name": "string",
240 "postingPeriodVariantDisplayId": "string",
241 "controllingAreaId": 0,
242 "controllingAreaDisplayId": "string",
243 "chartOfAccountId": 0,
244 "chartOfAccountDisplayId": "string",
245 "fiscalVariantId": 0,
246 "fiscalVariantDisplayId": "string",
247 "chartOfDepreciationId": 0,
248 "chartOfDepreciationDisplayId": "string",
249 "purchasingOrganizationId": 0,
250 "assetId": 0,
251 "exchangeRateTypeId": 0,
252 "plantId": 0,
253 "incrementalBorrowingRateId": 0,
254 "businessUnitId": 0,
255 "projectId": 0,
256 "transferVariantId": 0,
257 "partnerId": 0,
258 "departmentId": 0,
259 "accountingStandardId": 0,
260 "generalLedgerAccountId": 0,
261 "consumerPriceIndexCategoryId": 0,
262 "costCenterId": 0,
263 "costCenterRelationValidFrom": "2019-08-24",
264 "costCenterRelationValidTo": "2019-08-24"
265 },
266 "department": {
267 "id": 0,
268 "status": "CREATED",
269 "displayId": "string",
270 "name": "string",
271 "companyId": 0,
272 "leaseGroupId": 0
273 },
274 "linkedBudgets": [
275 {
276 "id": 0,
277 "createdOn": "2019-08-24T14:15:22Z",
278 "createdById": "string",
279 "modifiedOn": "2019-08-24T14:15:22Z",
280 "modifiedById": "string",
281 "createdByName": "string",
282 "lastModifiedByName": "string",
283 "requestCategoryId": 0,
284 "year": 0,
285 "displayId": "string",
286 "project": "string",
287 "requestCategory": {
288 "id": 0,
289 "createdOn": "2019-08-24T14:15:22Z",
290 "createdById": "string",
291 "modifiedOn": "2019-08-24T14:15:22Z",
292 "modifiedById": "string",
293 "createdByName": "string",
294 "lastModifiedByName": "string",
295 "displayId": "string",
296 "title": "string",
297 "subTitle": "string",
298 "icon": "string",
299 "budgetTitle": "string",
300 "budgetSubTitle": "string",
301 "investmentTitle": "string",
302 "investmentSubTitle": "string"
303 }
304 }
305 ],
306 "investmentRequestToInvestmentAreaIdsLinkedToBudget": [
307 0
308 ]
309 },
310 "investmentRequests": [
311 {
312 "id": 0,
313 "createdOn": "2019-08-24T14:15:22Z",
314 "createdById": "string",
315 "modifiedOn": "2019-08-24T14:15:22Z",
316 "modifiedById": "string",
317 "createdByName": "string",
318 "lastModifiedByName": "string",
319 "requestedAmount": 0,
320 "companyCurrency": "string",
321 "investmentAreaIds": [
322 0
323 ],
324 "requestCategoryId": 0,
325 "displayId": "string",
326 "leaseAreaId": 0,
327 "leaseAreaDisplayId": "string",
328 "leaseAreaName": "string",
329 "businessUnitId": 0,
330 "businessUnitDisplayId": "string",
331 "companyId": 0,
332 "companyDisplayId": "string",
333 "departmentId": 0,
334 "departmentDisplayId": "string",
335 "title": "string",
336 "investmentCurrencyId": 0,
337 "investmentCurrencyDisplayId": "string",
338 "companyCurrencyId": 0,
339 "companyCurrencyDisplayId": "string",
340 "reportingCurrencyId": 0,
341 "reportingCurrencyDisplayId": "string",
342 "masterInvestmentRequestId": 0,
343 "inceptionExchangeRate": 0,
344 "exchangeRateValidFrom": "2019-08-24",
345 "weightedAverageExchangeRate": 0,
346 "status": "DRAFT",
347 "workflowStepName": "string",
348 "description": "string",
349 "justification": "string",
350 "totalRequestedAmount": 0,
351 "totalExpense": 0,
352 "totalSpent": 0,
353 "originalRequestedAmount": 0,
354 "modifiedAmount": 0,
355 "currentAvailable": 0,
356 "modificationId": 0,
357 "requestCategory": {
358 "id": 0,
359 "createdOn": "2019-08-24T14:15:22Z",
360 "createdById": "string",
361 "modifiedOn": "2019-08-24T14:15:22Z",
362 "modifiedById": "string",
363 "createdByName": "string",
364 "lastModifiedByName": "string",
365 "displayId": "string",
366 "title": "string",
367 "subTitle": "string",
368 "icon": "string",
369 "budgetTitle": "string",
370 "budgetSubTitle": "string",
371 "investmentTitle": "string",
372 "investmentSubTitle": "string"
373 },
374 "expectedInitiationDate": "2019-08-24",
375 "expectedCompletionDate": "2019-08-24",
376 "actualInitiationDate": "2019-08-24",
377 "actualCompletionDate": "2019-08-24",
378 "requestUrgency": "string",
379 "leaseArea": {
380 "id": 0,
381 "status": "CREATED",
382 "displayId": "string",
383 "name": "string",
384 "businessUnitId": 0
385 },
386 "businessUnit": {
387 "id": 0,
388 "status": "CREATED",
389 "displayId": "string",
390 "name": "string",
391 "leaseAreaId": 0,
392 "companyId": 0
393 },
394 "company": {
395 "id": 0,
396 "status": "CREATED",
397 "displayId": "string",
398 "erpSystemId": 0,
399 "erpSystemDisplayId": "string",
400 "countryId": 0,
401 "countryDisplayId": "string",
402 "postingPeriodVariantId": 0,
403 "name": "string",
404 "postingPeriodVariantDisplayId": "string",
405 "controllingAreaId": 0,
406 "controllingAreaDisplayId": "string",
407 "chartOfAccountId": 0,
408 "chartOfAccountDisplayId": "string",
409 "fiscalVariantId": 0,
410 "fiscalVariantDisplayId": "string",
411 "chartOfDepreciationId": 0,
412 "chartOfDepreciationDisplayId": "string",
413 "purchasingOrganizationId": 0,
414 "assetId": 0,
415 "exchangeRateTypeId": 0,
416 "plantId": 0,
417 "incrementalBorrowingRateId": 0,
418 "businessUnitId": 0,
419 "projectId": 0,
420 "transferVariantId": 0,
421 "partnerId": 0,
422 "departmentId": 0,
423 "accountingStandardId": 0,
[...]
